;;;;  -*- Mode: Lisp; Syntax: Common-Lisp; Package: SYSTEM -*-
;;;;
;;;;  Copyright (c) 2010, Jean-Claude Beaudoin.
;;;;
;;;;  This program is free software; you can redistribute it and/or
;;;;  modify it under the terms of the GNU Lesser General Public
;;;;  License as published by the Free Software Foundation; either
;;;;  version 3 of the License, or (at your option) any later version.
;;;;
;;;;  See file '../Copyright' for full details.

;;;
;;;

(load "cmp.fasb")

#+(or)
(progn
  (setq c::*delete-files* nil)
  (setq *compile-extra-options* '(:c-file t :data-file t :h-file t))
  (proclaim '(optimize (debug 3))) ;; full debug info
  )
;;(proclaim '(optimize (debug 1))) ;; faster, no debug info.



(setq c::*mkcl-include-directory* (truename (pathname ".")) ;; truename is needed by MS-Windows
      c::*mkcl-library-directory* (truename (pathname "."))
      )

;;; -H traces include files in gcc.
;;(setq c::*cc-flags* (concatenate 'base-string "-H " c::*cc-flags*))
;;(setq c::*trace-cc* t)

#+unix
(let (;;(c::*suppress-compiler-messages* nil)
      ;;(c::*suppress-compiler-warnings* nil)
      ;;(c::*suppress-compiler-notes* nil)
      ;;(*compile-verbose* t)
      ;;(*compile-print* t)
      (c::*ld-flags* (concatenate 
		      'base-string
		      " -rdynamic libmkcltop.a liblsp.a "
		      ;;"libmkclmin.a libmkclgc.a "
		      "libmkclmin.a "
		      c::*support-libraries*
		      c::*external-ld-flags*
		      ))
      )
  (unless (compiler::build-program
	   "bin/mkcl"
	   :lisp-files '( "libcmp.a" ) ;; list of built-ins.
	   )
    (si::raw-exit 1))
  )


#+windows
(let (;;(c::*suppress-compiler-messages* nil)
      ;;(c::*suppress-compiler-warnings* nil)
      ;;(c::*suppress-compiler-notes* nil)
      ;;(*compile-verbose* t)
      ;;(*compile-print* t)
      (c::*ld-flags* c::*external-ld-flags*)
      (mkcl-lib-name (concatenate 'base-string
				  c::+shared-library-prefix+
				  "mkcl."
				  c::+shared-library-extension+))
      )
  (unless (compiler::build-program
	   "bin/mkcl"
	   :ld-flags (list mkcl-lib-name "-Wl,--stack,0x800000") ;; Stack of 8MB.
	   :epilogue-code '(PROGN (REQUIRE "CMP") (SI::TOP-LEVEL))
	   )
    (si::raw-exit 1))
  )

(si::raw-exit 0) ;; tell make that all is well.

