/* -*- mode: c -*- */

#define MKCL_NAME_PPRINT(x) MKCL_NAME(x)

#define MKCL_NAME(x) NULL

#ifdef MKCL_RELATIVE_PACKAGE_NAMES
# define RELATIVE_PACKAGES_P mk_cl_Ct
#else
# define RELATIVE_PACKAGES_P mk_cl_Cnil
#endif

#ifdef DPP
# define CLOS_ "CLOS::"
# define EXT_ "EXT::"
# define SYS_ "SI::"
# define MT_ "MT::"
# define KEY_ ":"
# define GRAY_ "GRAY::"
typedef struct
{
  const char *name, *translation;
} mkcl_symbol_initializer;
#else
# define CLOS_
# define EXT_
# define SYS_
# define MT_
# define KEY_
# define GRAY_
#endif

mkcl_symbol_initializer mkcl_root_symbols[] = {

  {"NIL",NULL},
  {"T",NULL},
  {SYS_ "UNBOUND","mk_si_unbound"},
  {SYS_ "PROTECT-TAG",NULL},

  /* LISP PACKAGE */
  {"&ALLOW-OTHER-KEYS",NULL},
  {"&AUX",NULL},
  {"&BODY",NULL},
  {"&ENVIRONMENT",NULL},
  {"&KEY",NULL},
  {"&OPTIONAL",NULL},
  {"&REST",NULL},
  {"&WHOLE",NULL},
  {"+","mk_cl_P"},
  {"++",NULL},
  {"+++",NULL},
  {"-","mk_cl_M"},
  {"*","mk_cl_X"},
  {"**",NULL},
  {"***",NULL},
  {"/","mk_cl_N"},
  {"//",NULL},
  {"///",NULL},
  {"/=","mk_cl_NE"},
  {"*BREAK-ON-SIGNALS*",NULL},
  {"*COMPILE-FILE-PATHNAME*",NULL},
  {"*COMPILE-FILE-TRUENAME*",NULL},
  {"*COMPILE-PRINT*",NULL},
  {"*COMPILE-VERBOSE*",NULL},
  {"*DEBUG-IO*",NULL},
  {"*DEBUGGER-HOOK*",NULL},
  {"*DEFAULT-PATHNAME-DEFAULTS*",NULL},
  {"*ERROR-OUTPUT*",NULL},
  {"*FEATURES*",NULL},
  {"*GENSYM-COUNTER*",NULL},
  {"*LOAD-PATHNAME*",NULL},
  {"*LOAD-PRINT*",NULL},
  {"*LOAD-TRUENAME*",NULL},
  {"*LOAD-VERBOSE*",NULL},
  {"*MACROEXPAND-HOOK*",NULL},
  {"*MODULES*",NULL},
  {"*MODULE-PROVIDER-FUNCTIONS*",NULL},
  {"*PACKAGE*",NULL},
  {"*PRINT-ARRAY*",NULL},
  {"*PRINT-BASE*",NULL},
  {"*PRINT-CASE*",NULL},
  {"*PRINT-CIRCLE*",NULL},
  {"*PRINT-ESCAPE*",NULL},
  {"*PRINT-GENSYM*",NULL},
  {"*PRINT-LENGTH*",NULL},
  {"*PRINT-LEVEL*",NULL},
  {"*PRINT-LINES*",NULL},
  {"*PRINT-MISER-WIDTH*",NULL},
  {"*PRINT-PPRINT-DISPATCH*",NULL},
  {"*PRINT-PRETTY*",NULL},
  {"*PRINT-RADIX*",NULL},
  {"*PRINT-READABLY*",NULL},
  {"*PRINT-RIGHT-MARGIN*",NULL},
  {"*QUERY-IO*",NULL},
  {"*RANDOM-STATE*",NULL},
  {"*READ-BASE*",NULL},
  {"*READ-DEFAULT-FLOAT-FORMAT*",NULL},
  {"*READ-EVAL*",NULL},
  {"*READ-SUPPRESS*",NULL},
  {"*READTABLE*",NULL},
  {"*STANDARD-INPUT*",NULL},
  {"*STANDARD-OUTPUT*",NULL},
  {"*TERMINAL-IO*",NULL},
  {"*TRACE-OUTPUT*",NULL},
  {"1+","mk_cl_1P"},
  {"1-","mk_cl_1M"},
  {"<","mk_cl_L"},
  {"<=","mk_cl_LE"},
  {"=","mk_cl_E"},
  {">","mk_cl_G"},
  {">=","mk_cl_GE"},
  {"ABORT",NULL},
  {"ABS","mk_cl_abs"},
  {"ACONS","mk_cl_acons"},
  {"ACOS","MKCL_NAME(mk_cl_acos)"},
  {"ACOSH","MKCL_NAME(mk_cl_acosh)"},
  {"ADJOIN","mk_cl_adjoin"},
  {"ADJUST-ARRAY","MKCL_NAME(mk_cl_adjust_array)"},
  {"ADJUSTABLE-ARRAY-P","mk_cl_adjustable_array_p"},
  {"ALPHA-CHAR-P","mk_cl_alpha_char_p"},
  {"ALPHANUMERICP","mk_cl_alphanumericp"},
  {"AND",NULL},
  {"APPEND","mk_cl_append"},
  {"APPLY","mk_cl_apply"},
  {"APROPOS","MKCL_NAME(mk_cl_apropos)"},
  {"APROPOS-LIST","MKCL_NAME(mk_cl_apropos_list)"},
  {"AREF","mk_cl_aref"},
  {"ARITHMETIC-ERROR",NULL},
  {"ARITHMETIC-ERROR-OPERANDS",NULL},
  {"ARITHMETIC-ERROR-OPERATION",NULL},
  {"ARRAY",NULL},
  {"ARRAY-DIMENSION","mk_cl_array_dimension"},
  {"ARRAY-DIMENSION-LIMIT",NULL},
  {"ARRAY-DIMENSIONS","MKCL_NAME(mk_cl_array_dimensions)"},
  {"ARRAY-DISPLACEMENT","mk_cl_array_displacement"},
  {"ARRAY-ELEMENT-TYPE","mk_cl_array_element_type"},
  {"ARRAY-HAS-FILL-POINTER-P","mk_cl_array_has_fill_pointer_p"},
  {"ARRAY-IN-BOUNDS-P","MKCL_NAME(mk_cl_array_in_bounds_p)"},
  {"ARRAY-RANK","mk_cl_array_rank"},
  {"ARRAY-RANK-LIMIT",NULL},
  {"ARRAY-ROW-MAJOR-INDEX","mk_cl_array_row_major_index"},
  {"ARRAY-TOTAL-SIZE","mk_cl_array_total_size"},
  {"ARRAY-TOTAL-SIZE-LIMIT",NULL},
  {"ARRAYP","mk_cl_arrayp"},
  {"ASH","mk_cl_ash"},
  {"ASIN","MKCL_NAME(mk_cl_asin)"},
  {"ASINH","MKCL_NAME(mk_cl_asinh)"},
  {"ASSERT",NULL},
  {"ASSOC","mk_cl_assoc"},
  {"ASSOC-IF","MKCL_NAME(mk_cl_assoc_if)"},
  {"ASSOC-IF-NOT","MKCL_NAME(mk_cl_assoc_if_not)"},
  {"ATAN","mk_cl_atan"},
  {"ATANH","MKCL_NAME(mk_cl_atanh)"},
  {"ATOM","mk_cl_atom"},
  {"BASE-CHAR",NULL},
  {"BASE-STRING",NULL},
  {"BIGNUM",NULL},
  {"BIT","MKCL_NAME(mk_cl_bit)"},
  {"BIT-AND","MKCL_NAME(mk_cl_bit_and)"},
  {"BIT-ANDC1","MKCL_NAME(mk_cl_bit_andc1)"},
  {"BIT-ANDC2","MKCL_NAME(mk_cl_bit_andc2)"},
  {"BIT-EQV","MKCL_NAME(mk_cl_bit_eqv)"},
  {"BIT-IOR","MKCL_NAME(mk_cl_bit_ior)"},
  {"BIT-NAND","MKCL_NAME(mk_cl_bit_nand)"},
  {"BIT-NOR","MKCL_NAME(mk_cl_bit_nor)"},
  {"BIT-NOT","MKCL_NAME(mk_cl_bit_not)"},
  {"BIT-ORC1","MKCL_NAME(mk_cl_bit_orc1)"},
  {"BIT-ORC2","MKCL_NAME(mk_cl_bit_orc2)"},
  {"BIT-VECTOR",NULL},
  {"BIT-VECTOR-P","mk_cl_bit_vector_p"},
  {"BIT-XOR","MKCL_NAME(mk_cl_bit_xor)"},
  {"BLOCK",NULL},
  {"BOOLE","mk_cl_boole"},
  {"BOOLE-1",NULL},
  {"BOOLE-2",NULL},
  {"BOOLE-AND",NULL},
  {"BOOLE-ANDC1",NULL},
  {"BOOLE-ANDC2",NULL},
  {"BOOLE-C1",NULL},
  {"BOOLE-C2",NULL},
  {"BOOLE-CLR",NULL},
  {"BOOLE-EQV",NULL},
  {"BOOLE-IOR",NULL},
  {"BOOLE-NAND",NULL},
  {"BOOLE-NOR",NULL},
  {"BOOLE-ORC1",NULL},
  {"BOOLE-ORC2",NULL},
  {"BOOLE-SET",NULL},
  {"BOOLE-XOR",NULL},
  {"BOOLEAN",NULL},
  {"BOTH-CASE-P","mk_cl_both_case_p"},
  {"BOUNDP","mk_cl_boundp"},
  {"BREAK",NULL},
  {"BROADCAST-STREAM",NULL},
  {"BROADCAST-STREAM-STREAMS","mk_cl_broadcast_stream_streams"},
  {"BUTLAST","mk_cl_butlast"},
  {"BYTE","MKCL_NAME(mk_cl_byte)"},
  {"BYTE-POSITION","MKCL_NAME(mk_cl_byte_position)"},
  {"BYTE-SIZE","MKCL_NAME(mk_cl_byte_size)"},
  {"CAAAAR","mk_cl_caaaar"},
  {"CAAADR","mk_cl_caaadr"},
  {"CAAAR","mk_cl_caaar"},
  {"CAADAR","mk_cl_caadar"},
  {"CAADDR","mk_cl_caaddr"},
  {"CAADR","mk_cl_caadr"},
  {"CAAR","mk_cl_caar"},
  {"CADAAR","mk_cl_cadaar"},
  {"CADADR","mk_cl_cadadr"},
  {"CADAR","mk_cl_cadar"},
  {"CADDAR","mk_cl_caddar"},
  {"CADDDR","mk_cl_cadddr"},
  {"CADDR","mk_cl_caddr"},
  {"CADR","mk_cl_cadr"},
  {"CALL-ARGUMENTS-LIMIT",NULL},
  {"CAR","mk_cl_car"},
  {"CASE",NULL},
  {"CATCH",NULL},
  {"CCASE",NULL},
  {"CDAAAR","mk_cl_cdaaar"},
  {"CDAADR","mk_cl_cdaadr"},
  {"CDAAR","mk_cl_cdaar"},
  {"CDADAR","mk_cl_cdadar"},
  {"CDADDR","mk_cl_cdaddr"},
  {"CDADR","mk_cl_cdadr"},
  {"CDAR","mk_cl_cdar"},
  {"CDDAAR","mk_cl_cddaar"},
  {"CDDADR","mk_cl_cddadr"},
  {"CDDAR","mk_cl_cddar"},
  {"CDDDAR","mk_cl_cdddar"},
  {"CDDDDR","mk_cl_cddddr"},
  {"CDDDR","mk_cl_cdddr"},
  {"CDDR","mk_cl_cddr"},
  {"CDR","mk_cl_cdr"},
  {"CEILING","mk_cl_ceiling"},
  {"CELL-ERROR",NULL},
  {"CELL-ERROR-NAME",NULL},
  {"CERROR","mk_cl_cerror"},
  {"CHAR","mk_cl_char"},
  {"CHAR-CODE","mk_cl_char_code"},
  {"CHAR-CODE-LIMIT",NULL},
  {"CHAR-DOWNCASE","mk_cl_char_downcase"},
  {"CHAR-EQUAL","mk_cl_char_equal"},
  {"CHAR-GREATERP","mk_cl_char_greaterp"},
  {"CHAR-INT","mk_cl_char_int"},
  {"CHAR-LESSP","mk_cl_char_lessp"},
  {"CHAR-NAME","mk_cl_char_name"},
  {"CHAR-NOT-EQUAL","mk_cl_char_not_equal"},
  {"CHAR-NOT-GREATERP","mk_cl_char_not_greaterp"},
  {"CHAR-NOT-LESSP","mk_cl_char_not_lessp"},
  {"CHAR-UPCASE","mk_cl_char_upcase"},
  {"CHAR/=","mk_cl_charNE"},
  {"CHAR<","mk_cl_charL"},
  {"CHAR<=","mk_cl_charLE"},
  {"CHAR=","mk_cl_charE"},
  {"CHAR>","mk_cl_charG"},
  {"CHAR>=","mk_cl_charGE"},
  {"CHARACTER","mk_cl_character"},
  {"CHARACTERP","mk_cl_characterp"},
  {"CHECK-TYPE",NULL},
  {"CIS","MKCL_NAME(mk_cl_cis)"},
  {"CLEAR-INPUT","mk_cl_clear_input"},
  {"CLEAR-OUTPUT","mk_cl_clear_output"},
  {"CLOSE","mk_cl_close"},
  {"CLRHASH","mk_cl_clrhash"},
  {"CODE-CHAR","mk_cl_code_char"},
  {"COERCE","MKCL_NAME(mk_cl_coerce)"},
  {"COMPILATION-SPEED",NULL},
  {"COMPILE",NULL},
  {"COMPILE-FILE",NULL},
  {"COMPILE-FILE-PATHNAME",NULL},
  {"COMPILED-FUNCTION",NULL},
  {"COMPILED-FUNCTION-P","mk_cl_compiled_function_p"},
  {"COMPILER-MACRO",NULL},
  {"COMPILER-MACRO-FUNCTION",NULL},
  {"COMPLEMENT",NULL},
  {"COMPLEX","mk_cl_complex"},
  {"COMPLEXP","mk_cl_complexp"},
  {"COMPUTE-RESTARTS",NULL},
  {"CONCATENATE","MKCL_NAME(mk_cl_concatenate)"},
  {"CONCATENATED-STREAM",NULL},
  {"CONCATENATED-STREAM-STREAMS","mk_cl_concatenated_stream_streams"},
  {"COND",NULL},
  {"CONDITION",NULL},
  {"CONJUGATE","mk_cl_conjugate"},
  {"CONTINUE",NULL},
  {"CONS","mk_cl_cons"},
  {"CONSP","mk_cl_consp"},
  {"CONSTANTLY","MKCL_NAME(mk_cl_constantly)"},
  {"CONSTANTP","mk_cl_constantp"},
  {"CONTROL-ERROR",NULL},
  {"COPY-ALIST","mk_cl_copy_alist"},
  {"COPY-LIST","mk_cl_copy_list"},
  {"COPY-PPRINT-DISPATCH","MKCL_NAME_PPRINT(mk_cl_copy_pprint_dispatch)"},
  {"COPY-READTABLE","mk_cl_copy_readtable"},
  {"COPY-SEQ","mk_cl_copy_seq"},
  {"COPY-STRUCTURE","mk_cl_copy_structure"},
  {"COPY-SYMBOL","mk_cl_copy_symbol"},
  {"COPY-TREE","mk_cl_copy_tree"},
  {"COS","mk_cl_cos"},
  {"COSH","mk_cl_cosh"},
  {"COUNT","MKCL_NAME(mk_cl_count)"},
  {"COUNT-IF","MKCL_NAME(mk_cl_count_if)"},
  {"COUNT-IF-NOT","MKCL_NAME(mk_cl_count_if_not)"},
  {"CTYPECASE",NULL},
  {"DEBUG",NULL},
  {"DECF",NULL},
  {"DECLAIM",NULL},
  {"DECLARATION",NULL},
  {"DECLARE",NULL},
  {"DECODE-FLOAT","mk_cl_decode_float"},
  {"DECODE-UNIVERSAL-TIME","MKCL_NAME(mk_cl_decode_universal_time)"},
  {"DEFCONSTANT",NULL},
  {"DEFINE-CONDITION",NULL},
  {"DEFINE-COMPILER-MACRO",NULL},
  {"DEFINE-MODIFY-MACRO",NULL},
  {"DEFINE-SETF-EXPANDER",NULL},
  {"DEFINE-SYMBOL-MACRO",NULL},
  {"DEFMACRO",NULL},
  {"DEFPACKAGE",NULL},
  {"DEFPARAMETER",NULL},
  {"DEFSETF",NULL},
  {"DEFSTRUCT",NULL},
  {"DEFTYPE",NULL},
  {"DEFUN",NULL},
  {"DEFVAR",NULL},
  {"DELETE","MKCL_NAME(mk_cl_delete)"},
  {"DELETE-DUPLICATES","MKCL_NAME(mk_cl_delete_duplicates)"},
  {"DELETE-FILE","mk_cl_delete_file"},
  {"DELETE-IF","MKCL_NAME(mk_cl_delete_if)"},
  {"DELETE-IF-NOT","MKCL_NAME(mk_cl_delete_if_not)"},
  {"DELETE-PACKAGE","mk_cl_delete_package"},
  {"DENOMINATOR","mk_cl_denominator"},
  {"DEPOSIT-FIELD","MKCL_NAME(mk_cl_deposit_field)"},
  {"DESCRIBE",NULL},
  {"DESTRUCTURING-BIND",NULL},
  {"DIGIT-CHAR","mk_cl_digit_char"},
  {"DIGIT-CHAR-P","mk_cl_digit_char_p"},
  {"DIRECTORY","mk_cl_directory"},
  {"DIRECTORY-NAMESTRING","mk_cl_directory_namestring"},
  {"DISASSEMBLE",NULL},
  {"DIVISION-BY-ZERO",NULL},
  {"DO",NULL},
  {"DO*",NULL},
  {"DO-ALL-SYMBOLS",NULL},
  {"DO-EXTERNAL-SYMBOLS",NULL},
  {"DO-SYMBOLS",NULL},
  {"DOCUMENTATION",NULL},
  {"DOLIST",NULL},
  {"DOTIMES",NULL},
  {"DOUBLE-FLOAT",NULL},
  {"DOUBLE-FLOAT-EPSILON",NULL},
  {"DOUBLE-FLOAT-NEGATIVE-EPSILON",NULL},
  {"DPB","MKCL_NAME(mk_cl_dpb)"},
  {"DRIBBLE",NULL},
  {"DYNAMIC-EXTENT",NULL},
  {"ECASE",NULL},
  {"ECHO-STREAM",NULL},
  {"ECHO-STREAM-INPUT-STREAM","mk_cl_echo_stream_input_stream"},
  {"ECHO-STREAM-OUTPUT-STREAM","mk_cl_echo_stream_output_stream"},
  {"ED",NULL},
  {"EIGHTH","mk_cl_eighth"},
  {"ELT","mk_cl_elt"},
  {"ENCODE-UNIVERSAL-TIME","MKCL_NAME(mk_cl_encode_universal_time)"},
  {"END-OF-FILE",NULL},
  {"ENDP","mk_cl_endp"},
  {"ENOUGH-NAMESTRING","mk_cl_enough_namestring"},
  {"ENSURE-DIRECTORIES-EXIST","MKCL_NAME(mk_cl_ensure_directories_exist)"},
  {"EQ","mk_cl_eq"},
  {"EQL","mk_cl_eql"},
  {"EQUAL","mk_cl_equal"},
  {"EQUALP","mk_cl_equalp"},
  {"ERROR","mk_cl_error"},
  {"ETYPECASE",NULL},
  {"EVAL","mk_cl_eval"},
  {"EVAL-WHEN",NULL},
  {"EVENP","mk_cl_evenp"},
  {"EVERY","MKCL_NAME(mk_cl_every)"},
  {"EXP","mk_cl_exp"},
  {"EXPORT","mk_cl_export"},
  {"EXPT","mk_cl_expt"},
  {"EXTENDED-CHAR",NULL},
  {"FBOUNDP","mk_cl_fboundp"},
  {"FCEILING","MKCL_NAME(mk_cl_fceiling)"},
  {"FDEFINITION","mk_cl_fdefinition"},
  {"FFLOOR","MKCL_NAME(mk_cl_ffloor)"},
  {"FIFTH","mk_cl_fifth"},
  {"FILE-AUTHOR","mk_cl_file_author"},
  {"FILE-ERROR",NULL},
  {"FILE-ERROR-PATHNAME",NULL},
  {"FILE-LENGTH","mk_cl_file_length"},
  {"FILE-NAMESTRING","mk_cl_file_namestring"},
  {"FILE-POSITION","mk_cl_file_position"},
  {"FILE-STREAM",NULL},
  {"FILE-STRING-LENGTH","mk_cl_file_string_length"},
  {"FILE-WRITE-DATE","mk_cl_file_write_date"},
  {"FILL","MKCL_NAME(mk_cl_fill)"},
  {"FILL-POINTER","mk_cl_fill_pointer"},
  {"FIND","MKCL_NAME(mk_cl_find)"},
  {"FIND-ALL-SYMBOLS","MKCL_NAME(mk_cl_find_all_symbols)"},
  {"FIND-IF","MKCL_NAME(mk_cl_find_if)"},
  {"FIND-IF-NOT","MKCL_NAME(mk_cl_find_if_not)"},
  {"FIND-PACKAGE","mk_cl_find_package"},
  {"FIND-RESTART",NULL},
  {"FIND-SYMBOL","mk_cl_find_symbol"},
  {"FINISH-OUTPUT","mk_cl_finish_output"},
  {"FIRST","mk_cl_car"},
  {"FIXNUM",NULL},
  {"FLET",NULL},
  {"FLOAT","mk_cl_float"},
  {"FLOAT-DIGITS","mk_cl_float_digits"},
  {"FLOAT-PRECISION","mk_cl_float_precision"},
  {"FLOAT-RADIX","mk_cl_float_radix"},
  {"FLOAT-SIGN","mk_cl_float_sign"},
  {"FLOATING-POINT-INEXACT",NULL},
  {"FLOATING-POINT-INVALID-OPERATION",NULL},
  {"FLOATING-POINT-OVERFLOW",NULL},
  {"FLOATING-POINT-UNDERFLOW",NULL},
  {"FLOATP","mk_cl_floatp"},
  {"FLOOR","mk_cl_floor"},
  {"FMAKUNBOUND","mk_cl_fmakunbound"},
  {"FORCE-OUTPUT","mk_cl_force_output"},
  {"FORMAT","mk_cl_format"},
  {"FORMATTER",NULL},
  {"FOURTH","mk_cl_cadddr"},
  {"FRESH-LINE","mk_cl_fresh_line"},
  {"FROUND","MKCL_NAME(mk_cl_fround)"},
  {"FTRUNCATE","MKCL_NAME(mk_cl_ftruncate)"},
  {"FTYPE",NULL},
  {"FUNCALL","mk_cl_funcall"},
  {"FUNCTION-LAMBDA-EXPRESSION","mk_cl_function_lambda_expression"},
  {"FUNCTION",NULL},
  {"FUNCTION-KEYWORDS",NULL},
  {"FUNCTIONP","mk_cl_functionp"},
  {"GCD","mk_cl_gcd"},
  {"GENSYM","mk_cl_gensym"},
  {"GENTEMP","mk_cl_gentemp"},
  {"GET","mk_cl_get"},
  {"GET-DECODED-TIME","MKCL_NAME(mk_cl_get_decoded_time)"},
  {"GET-DISPATCH-MACRO-CHARACTER","mk_cl_get_dispatch_macro_character"},
  {"GET-INTERNAL-REAL-TIME","mk_cl_get_internal_real_time"},
  {"GET-INTERNAL-RUN-TIME","mk_cl_get_internal_run_time"},
  {"GET-MACRO-CHARACTER","mk_cl_get_macro_character"},
  {"GET-OUTPUT-STREAM-STRING","mk_cl_get_output_stream_string"},
  {"GET-PROPERTIES","mk_cl_get_properties"},
  {"GET-SETF-EXPANSION",NULL},
  {"GET-UNIVERSAL-TIME","mk_cl_get_universal_time"},
  {"GETF","mk_cl_getf"},
  {"GETHASH","mk_cl_gethash"},
  {"GO",NULL},
  {"GRAPHIC-CHAR-P","mk_cl_graphic_char_p"},
  {"HANDLER-CASE",NULL},
  {"HANDLER-BIND",NULL},
  {"HASH-TABLE",NULL},
  {"HASH-TABLE-COUNT","mk_cl_hash_table_count"},
  {"HASH-TABLE-P","mk_cl_hash_table_p"},
  {"HASH-TABLE-REHASH-SIZE","mk_cl_hash_table_rehash_size"},
  {"HASH-TABLE-REHASH-THRESHOLD","mk_cl_hash_table_rehash_threshold"},
  {"HASH-TABLE-SIZE","mk_cl_hash_table_size"},
  {"HASH-TABLE-TEST","mk_cl_hash_table_test"},
  {"HOST-NAMESTRING","mk_cl_host_namestring"},
  {"IDENTITY","mk_cl_identity"},
  {"IGNORABLE",NULL},
  {"IGNORE",NULL},
  {"IGNORE-ERRORS",NULL},
  {"IMAGPART","mk_cl_imagpart"},
  {"IMPORT","mk_cl_import"},
  {"IN-PACKAGE",NULL},
  {"INCF",NULL},
  {"INLINE",NULL},
  {"INPUT-STREAM-P","mk_cl_input_stream_p"},
  {"INSPECT",NULL},
  {"INTEGER",NULL},
  {"INTEGER-DECODE-FLOAT","mk_cl_integer_decode_float"},
  {"INTEGER-LENGTH","mk_cl_integer_length"},
  {"INTEGERP","mk_cl_integerp"},
  {"INTERACTIVE-STREAM-P","mk_cl_interactive_stream_p"},
  {"INTERN","mk_cl_intern"},
  {"INTERNAL-TIME-UNITS-PER-SECOND",NULL},
  {"INTERSECTION","MKCL_NAME(mk_cl_intersection)"},
  {"INVOKE-DEBUGGER",NULL},
  {"INVOKE-RESTART",NULL},
  {"INVOKE-RESTART-INTERACTIVELY",NULL},
  {"ISQRT","MKCL_NAME(mk_cl_isqrt)"},
  {"KEYWORD",NULL},
  {"KEYWORDP","mk_cl_keywordp"},
  {"LABELS",NULL},
  {"LAMBDA",NULL},
  {"LAMBDA-LIST-KEYWORDS",NULL},
  {"LAMBDA-PARAMETERS-LIMIT",NULL},
  {"LAST","mk_cl_last"},
  {"LCM","mk_cl_lcm"},
  {"LDB","MKCL_NAME(mk_cl_ldb)"},
  {"LDB-TEST","MKCL_NAME(mk_cl_ldb_test)"},
  {"LDIFF","mk_cl_ldiff"},
  {"LEAST-NEGATIVE-DOUBLE-FLOAT",NULL},
  {"LEAST-NEGATIVE-LONG-FLOAT",NULL},
  {"LEAST-NEGATIVE-NORMALIZED-DOUBLE-FLOAT",NULL},
  {"LEAST-NEGATIVE-NORMALIZED-LONG-FLOAT",NULL},
  {"LEAST-NEGATIVE-NORMALIZED-SHORT-FLOAT",NULL},
  {"LEAST-NEGATIVE-NORMALIZED-SINGLE-FLOAT",NULL},
  {"LEAST-NEGATIVE-SHORT-FLOAT",NULL},
  {"LEAST-NEGATIVE-SINGLE-FLOAT",NULL},
  {"LEAST-POSITIVE-DOUBLE-FLOAT",NULL},
  {"LEAST-POSITIVE-LONG-FLOAT",NULL},
  {"LEAST-POSITIVE-NORMALIZED-DOUBLE-FLOAT",NULL},
  {"LEAST-POSITIVE-NORMALIZED-LONG-FLOAT",NULL},
  {"LEAST-POSITIVE-NORMALIZED-SHORT-FLOAT",NULL},
  {"LEAST-POSITIVE-NORMALIZED-SINGLE-FLOAT",NULL},
  {"LEAST-POSITIVE-SHORT-FLOAT",NULL},
  {"LEAST-POSITIVE-SINGLE-FLOAT",NULL},
  {"LENGTH","mk_cl_length"},
  {"LET",NULL},
  {"LET*",NULL},
  {"LISP-IMPLEMENTATION-TYPE",NULL},
  {"LISP-IMPLEMENTATION-VERSION",NULL},
  {"LIST","mk_cl_list"},
  {"LIST*","mk_cl_listX"},
  {"LIST-ALL-PACKAGES","mk_cl_list_all_packages"},
  {"LIST-LENGTH","mk_cl_list_length"},
  {"LISTEN","mk_cl_listen"},
  {"LISTP","mk_cl_listp"},
  {"LOAD","mk_cl_load"},
  {"LOAD-LOGICAL-PATHNAME-TRANSLATIONS","MKCL_NAME(mk_cl_load_logical_pathname_translations)"},
  {"LOAD-TIME-VALUE",NULL},
  {"LOCALLY",NULL},
  {"LOG","mk_cl_log"},
  {"LOGAND","mk_cl_logand"},
  {"LOGANDC1","mk_cl_logandc1"},
  {"LOGANDC2","mk_cl_logandc2"},
  {"LOGBITP","mk_cl_logbitp"},
  {"LOGCOUNT","mk_cl_logcount"},
  {"LOGEQV","mk_cl_logeqv"},
  {"LOGICAL-PATHNAME","mk_cl_logical_pathname"},
  {"LOGICAL-PATHNAME-TRANSLATIONS","MKCL_NAME(mk_cl_logical_pathname_translations)"},
  {"LOGIOR","mk_cl_logior"},
  {"LOGNAND","mk_cl_lognand"},
  {"LOGNOR","mk_cl_lognor"},
  {"LOGNOT","mk_cl_lognot"},
  {"LOGORC1","mk_cl_logorc1"},
  {"LOGORC2","mk_cl_logorc2"},
  {"LOGTEST","MKCL_NAME(mk_cl_logtest)"},
  {"LOGXOR","mk_cl_logxor"},
  {"LONG-FLOAT",NULL},
  {"LONG-FLOAT-EPSILON",NULL},
  {"LONG-FLOAT-NEGATIVE-EPSILON",NULL},
  {"LONG-SITE-NAME",NULL},
  {"LOOP",NULL},
  {"LOOP-FINISH",NULL},
  {"LOWER-CASE-P","mk_cl_lower_case_p"},
  {"MACHINE-INSTANCE",NULL},
  {"MACHINE-TYPE",NULL},
  {"MACHINE-VERSION",NULL},
  {"MACRO-FUNCTION","mk_cl_macro_function"},
  {"MACROEXPAND","mk_cl_macroexpand"},
  {"MACROEXPAND-1","mk_cl_macroexpand_1"},
  {"MACROLET",NULL},
  {"MAKE-ARRAY","MKCL_NAME(mk_cl_make_array)"},
  {"MAKE-BROADCAST-STREAM","mk_cl_make_broadcast_stream"},
  {"MAKE-CONDITION",NULL},
  {"MAKE-CONCATENATED-STREAM","mk_cl_make_concatenated_stream"},
  {"MAKE-DISPATCH-MACRO-CHARACTER","mk_cl_make_dispatch_macro_character"},
  {"MAKE-ECHO-STREAM","mk_cl_make_echo_stream"},
  {"MAKE-HASH-TABLE","mk_cl_make_hash_table"},
  {"MAKE-LIST","mk_cl_make_list"},
  {"MAKE-PACKAGE","mk_cl_make_package"},
  {"MAKE-PATHNAME","mk_cl_make_pathname"},
  {"MAKE-RANDOM-STATE","mk_cl_make_random_state"},
  {"MAKE-SEQUENCE","MKCL_NAME(mk_cl_make_sequence)"},
  {"MAKE-STRING","mk_cl_make_string"},
  {"MAKE-STRING-INPUT-STREAM","mk_cl_make_string_input_stream"},
  {"MAKE-STRING-OUTPUT-STREAM","mk_cl_make_string_output_stream"},
  {"MAKE-SYMBOL","mk_cl_make_symbol"},
  {"MAKE-SYNONYM-STREAM","mk_cl_make_synonym_stream"},
  {"MAKE-TWO-WAY-STREAM","mk_cl_make_two_way_stream"},
  {"MAKUNBOUND","mk_cl_makunbound"},
  {"MAP","MKCL_NAME(mk_cl_map)"},
  {"MAP-INTO","MKCL_NAME(mk_cl_map_into)"},
  {"MAPC","mk_cl_mapc"},
  {"MAPCAN","mk_cl_mapcan"},
  {"MAPCAR","mk_cl_mapcar"},
  {"MAPCON","mk_cl_mapcon"},
  {"MAPHASH","mk_cl_maphash"},
  {"MAPL","mk_cl_mapl"},
  {"MAPLIST","mk_cl_maplist"},
  {"MASK-FIELD","MKCL_NAME(mk_cl_mask_field)"},
  {"MAX","mk_cl_max"},
  {"MEMBER","mk_cl_member"},
  {"MEMBER-IF","MKCL_NAME(mk_cl_member_if)"},
  {"MEMBER-IF-NOT","MKCL_NAME(mk_cl_member_if_not)"},
  {"MERGE","MKCL_NAME(mk_cl_merge)"},
  {"MERGE-PATHNAMES","mk_cl_merge_pathnames"},
  {"MIN","mk_cl_min"},
  {"MINUSP","mk_cl_minusp"},
  {"MISMATCH","MKCL_NAME(mk_cl_mismatch)"},
  {"MOD","mk_cl_mod"},
  {"MOST-NEGATIVE-DOUBLE-FLOAT",NULL},
  {"MOST-NEGATIVE-FIXNUM",NULL},
  {"MOST-NEGATIVE-LONG-FLOAT",NULL},
  {"MOST-NEGATIVE-SHORT-FLOAT",NULL},
  {"MOST-NEGATIVE-SINGLE-FLOAT",NULL},
  {"MOST-POSITIVE-DOUBLE-FLOAT",NULL},
  {"MOST-POSITIVE-FIXNUM",NULL},
  {"MOST-POSITIVE-LONG-FLOAT",NULL},
  {"MOST-POSITIVE-SHORT-FLOAT",NULL},
  {"MOST-POSITIVE-SINGLE-FLOAT",NULL},
  {"MUFFLE-WARNING",NULL},
  {"MULTIPLE-VALUE-BIND",NULL},
  {"MULTIPLE-VALUE-CALL",NULL},
  {"MULTIPLE-VALUE-LIST",NULL},
  {"MULTIPLE-VALUE-PROG1",NULL},
  {"MULTIPLE-VALUE-SETQ",NULL},
  {"MULTIPLE-VALUES-LIMIT",NULL},
  {"NAME-CHAR","mk_cl_name_char"},
  {"NAMESTRING","mk_cl_namestring"},
  {"NBUTLAST","mk_cl_nbutlast"},
  {"NCONC","mk_cl_nconc"},
  {"NINTERSECTION","MKCL_NAME(mk_cl_nintersection)"},
  {"NINTH","mk_cl_ninth"},
  {"NOT","mk_cl_not"},
  {"NOTANY","MKCL_NAME(mk_cl_notany)"},
  {"NOTEVERY","MKCL_NAME(mk_cl_notevery)"},
  {"NOTINLINE",NULL},
  {"NRECONC","mk_cl_nreconc"},
  {"NREVERSE","mk_cl_nreverse"},
  {"NSET-DIFFERENCE","MKCL_NAME(mk_cl_nset_difference)"},
  {"NSET-EXCLUSIVE-OR","MKCL_NAME(mk_cl_nset_exclusive_or)"},
  {"NSTRING-CAPITALIZE","mk_cl_nstring_capitalize"},
  {"NSTRING-DOWNCASE","mk_cl_nstring_downcase"},
  {"NSTRING-UPCASE","mk_cl_nstring_upcase"},
  {"NSUBLIS","mk_cl_nsublis"},
  {"NSUBST","mk_cl_nsubst"},
  {"NSUBST-IF","MKCL_NAME(mk_cl_nsubst_if)"},
  {"NSUBST-IF-NOT","MKCL_NAME(mk_cl_nsubst_if_not)"},
  {"NSUBSTITUTE","MKCL_NAME(mk_cl_nsubstitute)"},
  {"NSUBSTITUTE-IF","MKCL_NAME(mk_cl_nsubstitute_if)"},
  {"NSUBSTITUTE-IF-NOT","MKCL_NAME(mk_cl_nsubstitute_if_not)"},
  {"NTH","mk_cl_nth"},
  {"NTH-VALUE",NULL},
  {"NTHCDR","mk_cl_nthcdr"},
  {"NULL","mk_cl_null"},
  {"NUMBER",NULL},
  {"NUMBERP","mk_cl_numberp"},
  {"NUMERATOR","mk_cl_numerator"},
  {"NUNION","MKCL_NAME(mk_cl_nunion)"},
  {"ODDP","mk_cl_oddp"},
  {"OPEN","mk_cl_open"},
  {"OPEN-STREAM-P","mk_cl_open_stream_p"},
  {"OPTIMIZE",NULL},
  {"OR",NULL},
  {"OTHERWISE",NULL},
  {"OUTPUT-STREAM-P","mk_cl_output_stream_p"},
  {"PACKAGE",NULL},
  {"PACKAGE-ERROR",NULL},
  {"PACKAGE-ERROR-PACKAGE",NULL},
  {"PACKAGE-NAME","mk_cl_package_name"},
  {"PACKAGE-NICKNAMES","mk_cl_package_nicknames"},
  {"PACKAGE-SHADOWING-SYMBOLS","mk_cl_package_shadowing_symbols"},
  {"PACKAGE-USE-LIST","mk_cl_package_use_list"},
  {"PACKAGE-USED-BY-LIST","mk_cl_package_used_by_list"},
  {"PACKAGEP","mk_cl_packagep"},
  {"PAIRLIS","mk_cl_pairlis"},
  {"PARSE-ERROR",NULL},
  {"PARSE-INTEGER","mk_cl_parse_integer"},
  {"PARSE-NAMESTRING","mk_cl_parse_namestring"},
  {"PATHNAME","mk_cl_pathname"},
  {"PATHNAME-DEVICE","mk_cl_pathname_device"},
  {"PATHNAME-DIRECTORY","mk_cl_pathname_directory"},
  {"PATHNAME-HOST","mk_cl_pathname_host"},
  {"PATHNAME-MATCH-P","mk_cl_pathname_match_p"},
  {"PATHNAME-NAME","mk_cl_pathname_name"},
  {"PATHNAME-TYPE","mk_cl_pathname_type"},
  {"PATHNAME-VERSION","mk_cl_pathname_version"},
  {"PATHNAMEP","mk_cl_pathnamep"},
  {"PEEK-CHAR","mk_cl_peek_char"},
  {"PHASE","MKCL_NAME(mk_cl_phase)"},
  {"PI",NULL},
  {"PLUSP","mk_cl_plusp"},
  {"POP",NULL},
  {"POSITION","MKCL_NAME(mk_cl_position)"},
  {"POSITION-IF","MKCL_NAME(mk_cl_position_if)"},
  {"POSITION-IF-NOT","MKCL_NAME(mk_cl_position_if_not)"},
  {"PPRINT","mk_cl_pprint"},
  {"PPRINT-DISPATCH","MKCL_NAME_PPRINT(mk_cl_pprint_dispatch)"},
  {"PPRINT-EXIT-IF-LIST-EXHAUSTED",NULL},
  {"PPRINT-FILL","MKCL_NAME_PPRINT(mk_cl_pprint_fill)"},
  {"PPRINT-INDENT","MKCL_NAME_PPRINT(mk_cl_pprint_indent)"},
  {"PPRINT-LINEAR","MKCL_NAME_PPRINT(mk_cl_pprint_linear)"},
  {"PPRINT-LOGICAL-BLOCK",NULL},
  {"PPRINT-NEWLINE","MKCL_NAME_PPRINT(mk_cl_pprint_newline)"},
  {"PPRINT-POP",NULL},
  {"PPRINT-TAB","MKCL_NAME_PPRINT(mk_cl_pprint_tab)"},
  {"PPRINT-TABULAR","MKCL_NAME_PPRINT(mk_cl_pprint_tabular)"},
  {"PRIN1","mk_cl_prin1"},
  {"PRIN1-TO-STRING","MKCL_NAME(mk_cl_prin1_to_string)"},
  {"PRINC","mk_cl_princ"},
  {"PRINC-TO-STRING","MKCL_NAME(mk_cl_princ_to_string)"},
  {"PRINT","mk_cl_print"},
  {"PRINT-NOT-READABLE",NULL},
  {"PRINT-NOT-READABLE-OBJECT",NULL},
  {"PROBE-FILE","mk_cl_probe_file"},
  {"PROCLAIM",NULL},
  {"PROG",NULL},
  {"PROG*",NULL},
  {"PROG1",NULL},
  {"PROG2",NULL},
  {"PROGN",NULL},
  {"PROGRAM-ERROR",NULL},
  {"PROGV",NULL},
  {"PROVIDE","MKCL_NAME(mk_cl_provide)"},
  {"PSETF",NULL},
  {"PSETQ",NULL},
  {"PUSH",NULL},
  {"PUSHNEW",NULL},
  {"QUOTE",NULL},
  {"RANDOM","mk_cl_random"},
  {"RANDOM-STATE",NULL},
  {"RANDOM-STATE-P","mk_cl_random_state_p"},
  {"RASSOC","mk_cl_rassoc"},
  {"RASSOC-IF","MKCL_NAME(mk_cl_rassoc_if)"},
  {"RASSOC-IF-NOT","MKCL_NAME(mk_cl_rassoc_if_not)"},
  {"RATIO",NULL},
  {"RATIONAL","mk_cl_rational"},
  {"RATIONALIZE","mk_cl_rationalize"},
  {"RATIONALP","mk_cl_rationalp"},
  {"READ","mk_cl_read"},
  {"READ-BYTE","mk_cl_read_byte"},
  {"READ-CHAR","mk_cl_read_char"},
  {"READ-CHAR-NO-HANG","mk_cl_read_char_no_hang"},
  {"READ-DELIMITED-LIST","mk_cl_read_delimited_list"},
  {"READ-FROM-STRING","MKCL_NAME(mk_cl_read_from_string)"},
  {"READ-LINE","mk_cl_read_line"},
  {"READ-PRESERVING-WHITESPACE","mk_cl_read_preserving_whitespace"},
  {"READ-SEQUENCE","mk_cl_read_sequence"},
  {"READER-ERROR",NULL},
  {"READTABLE",NULL},
  {"READTABLE-CASE","mk_cl_readtable_case"},
  {"READTABLEP","mk_cl_readtablep"},
  {"REAL",NULL},
  {"REALP","mk_cl_realp"},
  {"REALPART","mk_cl_realpart"},
  {"REDUCE","MKCL_NAME(mk_cl_reduce)"},
  {"REM","mk_cl_rem"},
  {"REMF",NULL},
  {"REMHASH","mk_cl_remhash"},
  {"REMOVE","MKCL_NAME(mk_cl_remove)"},
  {"REMOVE-DUPLICATES","MKCL_NAME(mk_cl_remove_duplicates)"},
  {"REMOVE-IF","MKCL_NAME(mk_cl_remove_if)"},
  {"REMOVE-IF-NOT","MKCL_NAME(mk_cl_remove_if_not)"},
  {"REMPROP","mk_cl_remprop"},
  {"RENAME-FILE","mk_cl_rename_file"},
  {"RENAME-PACKAGE","mk_cl_rename_package"},
  {"REPLACE","MKCL_NAME(mk_cl_replace)"},
  {"REQUIRE","MKCL_NAME(mk_cl_require)"},
  {"REST","mk_cl_cdr"},
  {"RESTART",NULL},
  {"RESTART-BIND",NULL},
  {"RESTART-CASE",NULL},
  {"RESTART-NAME",NULL},
  {"RETURN",NULL},
  {"RETURN-FROM",NULL},
  {"REVAPPEND","mk_cl_revappend"},
  {"REVERSE","mk_cl_reverse"},
  {"ROOM",NULL},
  {"ROTATEF",NULL},
  {"ROUND","mk_cl_round"},
  {"ROW-MAJOR-AREF","mk_cl_row_major_aref"},
  {"RPLACA","mk_cl_rplaca"},
  {"RPLACD","mk_cl_rplacd"},
  {"SAFETY",NULL},
  {"SATISFIES",NULL},
  {"SBIT","MKCL_NAME(mk_cl_sbit)"},
  {"SCALE-FLOAT","mk_cl_scale_float"},
  {"SCHAR","mk_cl_char"},
  {"SEARCH","MKCL_NAME(mk_cl_search)"},
  {"SECOND","mk_cl_cadr"},
  {"SEQUENCE",NULL},
  {"SERIOUS-CONDITION",NULL},
  {"SET","mk_cl_set"},
  {"SET-DIFFERENCE","MKCL_NAME(mk_cl_set_difference)"},
  {"SET-DISPATCH-MACRO-CHARACTER","mk_cl_set_dispatch_macro_character"},
  {"SET-EXCLUSIVE-OR","MKCL_NAME(mk_cl_set_exclusive_or)"},
  {"SET-MACRO-CHARACTER","mk_cl_set_macro_character"},
  {"SET-PPRINT-DISPATCH","MKCL_NAME_PPRINT(mk_cl_set_pprint_dispatch)"},
  {"SET-SYNTAX-FROM-CHAR","mk_cl_set_syntax_from_char"},
  {"SETF",NULL},
  {"SETF-SYSTEM-PLIST",NULL},
  {"SETQ",NULL},
  {"SEVENTH","mk_cl_seventh"},
  {"SHADOW","mk_cl_shadow"},
  {"SHADOWING-IMPORT","mk_cl_shadowing_import"},
  {"SHIFTF",NULL},
  {"SHORT-FLOAT",NULL},
  {"SHORT-FLOAT-EPSILON",NULL},
  {"SHORT-FLOAT-NEGATIVE-EPSILON",NULL},
  {"SHORT-SITE-NAME",NULL},
  {"SIGNAL",NULL},
  {"SIGNED-BYTE",NULL},
  {"SIGNUM","MKCL_NAME(mk_cl_signum)"},
  {"SIMPLE-ARRAY",NULL},
  {"SIMPLE-BASE-STRING",NULL},
  {"SIMPLE-BIT-VECTOR",NULL},
  {"SIMPLE-BIT-VECTOR-P","mk_cl_simple_bit_vector_p"},
  {"SIMPLE-CONDITION",NULL},
  {"SIMPLE-CONDITION-FORMAT-CONTROL",NULL},
  {"SIMPLE-CONDITION-FORMAT-ARGUMENTS",NULL},
  {"SIMPLE-ERROR",NULL},
  {"SIMPLE-STRING",NULL},
  {"SIMPLE-STRING-P","mk_cl_simple_string_p"},
  {"SIMPLE-TYPE-ERROR",NULL},
  {"SIMPLE-VECTOR",NULL},
  {"SIMPLE-VECTOR-P","mk_cl_simple_vector_p"},
  {"SIMPLE-WARNING",NULL},
  {"SIN","mk_cl_sin"},
  {"SINGLE-FLOAT",NULL},
  {"SINGLE-FLOAT-EPSILON",NULL},
  {"SINGLE-FLOAT-NEGATIVE-EPSILON",NULL},
  {"SINH","mk_cl_sinh"},
  {"SIXTH","mk_cl_sixth"},
  {"SLEEP","mk_cl_sleep"},
  {"SOFTWARE-TYPE",NULL},
  {"SOFTWARE-VERSION",NULL},
  {"SOME","MKCL_NAME(mk_cl_some)"},
  {"SORT","MKCL_NAME(mk_cl_sort)"},
  {"SPACE",NULL},
  {"SPECIAL",NULL},
  {"SPECIAL-OPERATOR-P","mk_cl_special_operator_p"},
  {"SPEED",NULL},
  {"SQRT","mk_cl_sqrt"},
  {"STABLE-SORT","MKCL_NAME(mk_cl_stable_sort)"},
  {"STANDARD-CHAR",NULL},
  {"STANDARD-CHAR-P","mk_cl_standard_char_p"},
  {"STEP",NULL},
  {"STORAGE-CONDITION",NULL},
  {"STORE-VALUE",NULL},
  {"STREAM",NULL},
  {"STREAM-ELEMENT-TYPE","mk_cl_stream_element_type"},
  {"STREAM-ERROR",NULL},
  {"STREAM-ERROR-STREAM",NULL},
  {"STREAM-EXTERNAL-FORMAT","mk_cl_stream_external_format"},
  {"STREAMP","mk_cl_streamp"},
  {"STRING","mk_cl_string"},
  {"STRING-DOWNCASE","mk_cl_string_downcase"},
  {"STRING-CAPITALIZE","mk_cl_string_capitalize"},
  {"STRING-EQUAL","mk_cl_string_equal"},
  {"STRING-GREATERP","mk_cl_string_greaterp"},
  {"STRING-LEFT-TRIM","mk_cl_string_left_trim"},
  {"STRING-LESSP","mk_cl_string_lessp"},
  {"STRING-NOT-EQUAL","mk_cl_string_not_equal"},
  {"STRING-NOT-GREATERP","mk_cl_string_not_greaterp"},
  {"STRING-NOT-LESSP","mk_cl_string_not_lessp"},
  {"STRING-RIGHT-TRIM","mk_cl_string_right_trim"},
  {"STRING-STREAM",NULL},
  {"STRING-TRIM","mk_cl_string_trim"},
  {"STRING-UPCASE","mk_cl_string_upcase"},
  {"STRING/=","mk_cl_stringNE"},
  {"STRING<","mk_cl_stringL"},
  {"STRING<=","mk_cl_stringLE"},
  {"STRING=","mk_cl_stringE"},
  {"STRING>","mk_cl_stringG"},
  {"STRING>=","mk_cl_stringGE"},
  {"STRINGP","mk_cl_stringp"},
  {"STRUCTURE",NULL},
  {"STYLE-WARNING",NULL},
  {"SUBLIS","mk_cl_sublis"},
  {"SUBSEQ","mk_cl_subseq"},
  {"SUBSETP","MKCL_NAME(mk_cl_subsetp)"},
  {"SUBST","mk_cl_subst"},
  {"SUBST-IF","MKCL_NAME(mk_cl_subst_if)"},
  {"SUBST-IF-NOT","MKCL_NAME(mk_cl_subst_if_not)"},
  {"SUBSTITUTE","MKCL_NAME(mk_cl_substitute)"},
  {"SUBSTITUTE-IF","MKCL_NAME(mk_cl_substitute_if)"},
  {"SUBSTITUTE-IF-NOT","MKCL_NAME(mk_cl_substitute_if_not)"},
  {"SUBTYPEP","MKCL_NAME(mk_cl_subtypep)"},
  {"SVREF","mk_cl_svref"},
  {"SXHASH","mk_cl_sxhash"},
  {"SYMBOL",NULL},
  {"SYMBOL-FUNCTION","mk_cl_symbol_function"},
  {"SYMBOL-MACROLET",NULL},
  {"SYMBOL-NAME","mk_cl_symbol_name"},
  {"SYMBOL-PACKAGE","mk_cl_symbol_package"},
  {"SYMBOL-PLIST","mk_cl_symbol_plist"},
  {"SYMBOL-VALUE","mk_cl_symbol_value"},
  {"SYMBOLP","mk_cl_symbolp"},
  {"SYNONYM-STREAM",NULL},
  {"SYNONYM-STREAM-SYMBOL","mk_cl_synonym_stream_symbol"},
  {"TAGBODY",NULL},
  {"TAILP","mk_cl_tailp"},
  {"TAN","mk_cl_tan"},
  {"TANH","mk_cl_tanh"},
  {"TENTH","mk_cl_tenth"},
  {"TERPRI","mk_cl_terpri"},
  {"THE",NULL},
  {"THIRD","mk_cl_caddr"},
  {"THROW",NULL},
  {"TIME",NULL},
  {"TRACE",NULL},
  {"TRANSLATE-LOGICAL-PATHNAME","mk_cl_translate_logical_pathname"},
  {"TRANSLATE-PATHNAME","mk_cl_translate_pathname"},
  {"TREE-EQUAL","mk_cl_tree_equal"},
  {"TRUENAME","mk_cl_truename"},
  {"TRUNCATE","mk_cl_truncate"},
  {"TWO-WAY-STREAM",NULL},
  {"TWO-WAY-STREAM-INPUT-STREAM","mk_cl_two_way_stream_input_stream"},
  {"TWO-WAY-STREAM-OUTPUT-STREAM","mk_cl_two_way_stream_output_stream"},
  {"TYPE",NULL},
  {"TYPE-ERROR",NULL},
  {"TYPE-ERROR-DATUM",NULL},
  {"TYPE-ERROR-EXPECTED-TYPE",NULL},
  {"TYPE-OF","mk_cl_type_of"},
  {"TYPECASE",NULL},
  {"TYPEP","MKCL_NAME(mk_cl_typep)"},
  {"UNBOUND-SLOT",NULL},
  {"UNBOUND-SLOT-INSTANCE",NULL},
  {"UNBOUND-VARIABLE",NULL},
  {"UNDEFINED-FUNCTION",NULL},
  {"UNEXPORT","mk_cl_unexport"},
  {"UNINTERN","mk_cl_unintern"},
  {"UNION","MKCL_NAME(mk_cl_union)"},
  {"UNLESS",NULL},
  {"UNREAD-CHAR","mk_cl_unread_char"},
  {"UNSIGNED-BYTE",NULL},
  {"UNTRACE",NULL},
  {"UNUSE-PACKAGE","mk_cl_unuse_package"},
  {"UNWIND-PROTECT",NULL},
  {"UPGRADED-ARRAY-ELEMENT-TYPE","MKCL_NAME(mk_cl_upgraded_array_element_type)"},
  {"UPGRADED-COMPLEX-PART-TYPE","MKCL_NAME(mk_cl_upgraded_complex_part_type)"},
  {"UPPER-CASE-P","mk_cl_upper_case_p"},
  {"USE-PACKAGE","mk_cl_use_package"},
  {"USE-VALUE",NULL},
  {"USER-HOMEDIR-PATHNAME","mk_cl_user_homedir_pathname"},
  {"VALUES","mk_cl_values"},
  {"VALUES-LIST","mk_cl_values_list"},
  {"VARIABLE",NULL},
  {"VECTOR","MKCL_NAME(mk_cl_vector)"},
  {"VECTOR-POP","MKCL_NAME(mk_cl_vector_pop)"},
  {"VECTOR-PUSH","MKCL_NAME(mk_cl_vector_push)"},
  {"VECTOR-PUSH-EXTEND","MKCL_NAME(mk_cl_vector_push_extend)"},
  {"VECTORP","mk_cl_vectorp"},
  {"WARN",NULL},
  {"WARNING",NULL},
  {"WHEN",NULL},
  {"WILD-PATHNAME-P","mk_cl_wild_pathname_p"},
  {"WITH-COMPILATION-UNIT",NULL},
  {"WITH-CONDITION-RESTARTS",NULL},
  {"WITH-HASH-TABLE-ITERATOR",NULL},
  {"WITH-INPUT-FROM-STRING",NULL},
  {"WITH-OPEN-FILE",NULL},
  {"WITH-OPEN-STREAM",NULL},
  {"WITH-OUTPUT-TO-STRING",NULL},
  {"WITH-PACKAGE-ITERATOR",NULL},
  {"WITH-SIMPLE-RESTART",NULL},
  {"WITH-STANDARD-IO-SYNTAX",NULL},
  {"WRITE","mk_cl_write"},
  {"WRITE-BYTE","mk_cl_write_byte"},
  {"WRITE-CHAR","mk_cl_write_char"},
  {"WRITE-LINE","mk_cl_write_line"},
  {"WRITE-SEQUENCE","mk_cl_write_sequence"},
  {"WRITE-STRING","mk_cl_write_string"},
  {"WRITE-TO-STRING","MKCL_NAME(mk_cl_write_to_string)"},
  {"Y-OR-N-P","MKCL_NAME(mk_cl_y_or_n_p)"},
  {"YES-OR-NO-P","MKCL_NAME(mk_cl_yes_or_no_p)"},
  {"ZEROP","mk_cl_zerop"},

  {"ALLOCATE-INSTANCE",NULL},
  {"ADD-METHOD",NULL},
  {"BUILT-IN-CLASS",NULL},
  {"CALL-METHOD",NULL},
  {"CALL-NEXT-METHOD",NULL},
  {"CHANGE-CLASS",NULL},
  {"CLASS",NULL},
  {"CLASS-NAME",NULL},
  {"CLASS-OF","mk_cl_class_of"},
  {"COMPUTE-APPLICABLE-METHODS",NULL},
  {"DEFCLASS",NULL},
  {"DEFGENERIC",NULL},
  {"DEFINE-METHOD-COMBINATION",NULL},
  {"DEFMETHOD",NULL},
  {"DESCRIBE-OBJECT",NULL},
  {"ENSURE-GENERIC-FUNCTION",NULL},
  {"FIND-CLASS","mk_cl_find_class"},
  {"FIND-METHOD",NULL},
  {"GENERIC-FUNCTION",NULL},
  {"IF",NULL},
  {"INITIALIZE-INSTANCE",NULL},
  {"INVALID-METHOD-ERROR","MKCL_NAME(mk_cl_invalid_method_error)"},
  {"MAKE-INSTANCE",NULL},
  {"MAKE-INSTANCES-OBSOLETE",NULL},
  {"MAKE-LOAD-FORM",NULL},
  {"MAKE-LOAD-FORM-SAVING-SLOTS",NULL},
  {"MAKE-METHOD",NULL},
  {"METHOD",NULL},
  {"METHOD-COMBINATION-ERROR","MKCL_NAME(mk_cl_method_combination_error)"},
  {"METHOD-COMBINATION",NULL},
  {"METHOD-QUALIFIERS",NULL},
  {"NEXT-METHOD-P",NULL},
  {"NO-APPLICABLE-METHOD",NULL},
  {"NO-NEXT-METHOD",NULL},
  {"PRINT-OBJECT",NULL},
  {"PRINT-UNREADABLE-OBJECT",NULL},
  {"REINITIALIZE-INSTANCE",NULL},
  {"REMOVE-METHOD",NULL},
  {"SHARED-INITIALIZE",NULL},
  {"SLOT-BOUNDP",NULL},
  {"SLOT-EXISTS-P",NULL},
  {"SLOT-MAKUNBOUND",NULL},
  {"SLOT-MISSING",NULL},
  {"SLOT-UNBOUND",NULL},
  {"SLOT-VALUE",NULL},
  {"STANDARD",NULL},
  {"STANDARD-CLASS",NULL},
  {"STANDARD-GENERIC-FUNCTION",NULL},
  {"STANDARD-METHOD",NULL},
  {"STANDARD-OBJECT",NULL},
  {"STRUCTURE-CLASS",NULL},
  {"STRUCTURE-OBJECT",NULL},
  {"UPDATE-INSTANCE-FOR-DIFFERENT-CLASS",NULL},
  {"UPDATE-INSTANCE-FOR-REDEFINED-CLASS",NULL},
  {"WITH-ACCESSORS",NULL},
  {"WITH-SLOTS",NULL},
  {KEY_ "ARGUMENT-PRECEDENCE-ORDER",NULL},
  {KEY_ "DECLARE",NULL},
  {KEY_ "DEFAULT-INITARGS",NULL},
  {KEY_ "DIRECT-DEFAULT-INITARGS",NULL},
  {KEY_ "DIRECT-SLOTS",NULL},
  {KEY_ "DIRECT-SUPERCLASSES",NULL},
  {KEY_ "GENERIC-FUNCTION-CLASS",NULL},
  {KEY_ "LAMBDA-LIST",NULL},
  {KEY_ "METHOD-CLASS",NULL},
  {KEY_ "METHOD-COMBINATION",NULL},

  /* SYSTEM PACKAGE */
  {SYS_ "#!",NULL},
  {SYS_ "*BACKQ-LEVEL*",NULL},
  {SYS_ "*CBLOCK*",NULL},
  {SYS_ "*CIRCLE-COUNTER*",NULL},
  {SYS_ "*CIRCLE-STACK*",NULL},
  {SYS_ "*CLASS-NAME-HASH-TABLE*",NULL},
  {SYS_ "*COMPILER-CONSTANTS*",NULL},
  {SYS_ "*GC-MESSAGE*",NULL},
  {SYS_ "*GC-VERBOSE*",NULL},
  {SYS_ "*IGNORE-EOF-ON-TERMINAL-IO*",NULL},
  {SYS_ "*INDENT-FORMATTED-OUTPUT*",NULL},
  {SYS_ "*INIT-FUNCTION-PREFIX*",NULL},
  {SYS_ "*KEEP-DEFINITIONS*",NULL},
  {SYS_ "*LOAD-HOOKS*",NULL},
  {SYS_ "*LOAD-SEARCH-LIST*",NULL},
  {SYS_ "*MAKE-CONSTANT","mk_si_Xmake_constant"},
  {SYS_ "*MAKE-SPECIAL","mk_si_Xmake_special"},
  {SYS_ "*PRINT-PACKAGE*",NULL},
  {SYS_ "*PRINT-STRUCTURE*",NULL},
  {SYS_ "*SHARP-EQ-CONTEXT*",NULL},
  {SYS_ "*STEP-LEVEL*",NULL},
  {SYS_ "*STEP-ACTION*",NULL},
  {SYS_ "+READING-FASL-FILE+",NULL},
  {SYS_ ".",NULL},
  {SYS_ "UNQUOTE",NULL},
  {SYS_ "UNQUOTE-NSPLICE",NULL},
  {SYS_ "UNQUOTE-SPLICE",NULL},
  {SYS_ "ALLOCATE-RAW-INSTANCE","mk_si_allocate_raw_instance"},
  {SYS_ "ARGC","mk_si_argc"},
  {SYS_ "ARGV","mk_si_argv"},
  {SYS_ "ASET","mk_si_aset"},
  {SYS_ "BASE-CHAR-P","mk_si_base_char_p"},
  {SYS_ "BASE-STRING-P","mk_si_base_string_p"},
  {SYS_ "BC-DISASSEMBLE","mk_si_bc_disassemble"},
  {SYS_ "BC-SPLIT","mk_si_bc_split"},
  {SYS_ "BDS-TOP","mk_si_bds_top"},
  {SYS_ "BDS-VAL","mk_si_bds_val"},
  {SYS_ "BDS-VAR","mk_si_bds_var"},
  {SYS_ "BIT-ARRAY-OP","mk_si_bit_array_op"},
  {SYS_ "C-ARGUMENTS-LIMIT",NULL},
  {SYS_ "CHAR-SET","mk_si_char_set"},
  {EXT_ "CHDIR","mk_si_chdir"},
  {SYS_ "CLEAR-COMPILER-PROPERTIES","mk_cl_identity"},
  {SYS_ "COERCE-TO-BASE-STRING","mk_si_coerce_to_base_string"},
  {SYS_ "COERCE-TO-EXTENDED-STRING","mk_si_coerce_to_extended_string"},
  {SYS_ "COERCE-TO-FILENAME","mk_si_coerce_to_filename"},
  {SYS_ "COERCE-TO-FUNCTION","mk_si_coerce_to_function"},
  {SYS_ "COERCE-TO-PACKAGE","mk_si_coerce_to_package"},
  {SYS_ "COPY-TO-SIMPLE-BASE-STRING","mk_si_copy_to_simple_base_string"},
  {SYS_ "COMPILED-FUNCTION-BLOCK","mk_si_compiled_function_block"},
  {SYS_ "COMPILED-FUNCTION-NAME","mk_si_compiled_function_name"},
  {SYS_ "COPY-STREAM","mk_si_copy_stream"},
  {SYS_ "DO-READ-SEQUENCE","mk_si_do_read_sequence"},
  {SYS_ "DO-WRITE-SEQUENCE","mk_si_do_write_sequence"},
  {SYS_ "ELT-SET","mk_si_elt_set"},
  {SYS_ "EVAL-WITH-ENV","mk_si_eval_with_env"},
  {SYS_ "EXPAND-DEFMACRO",NULL},
  {SYS_ "FILE-COLUMN","mk_si_file_column"},
  {SYS_ "FILE-KIND","mk_si_file_kind"},
  {SYS_ "FILL-POINTER-SET","mk_si_fill_pointer_set"},
  {SYS_ "FIXNUMP","mk_si_fixnump"},
  {SYS_ "FORMAT-ERROR",NULL},
  {SYS_ "FORMATTER-AUX",NULL},
  {SYS_ "FRS-BDS","mk_si_frs_bds"},
  {SYS_ "FRS-IHS","mk_si_frs_ihs"},
  {SYS_ "FRS-TAG","mk_si_frs_tag"},
  {SYS_ "FRS-TOP","mk_si_frs_top"},
  {SYS_ "FSET","mk_si_fset"},
  {SYS_ "FUNCTION-BLOCK-NAME","mk_si_function_block_name"},
  {SYS_ "GET-LIBRARY-PATHNAME","mk_si_get_library_pathname"},
  {SYS_ "GET-SYSPROP","mk_si_get_sysprop"},
  {EXT_ "GETENV","mk_si_getenv"},
  {EXT_ "GETCWD","mk_si_getcwd"},
  {SYS_ "GETPID","mk_si_getpid"},
  {SYS_ "GETTID","mk_si_gettid"},
  {SYS_ "HASH-SET","mk_si_hash_set"},
  {SYS_ "HASH-TABLE-ITERATOR","mk_si_hash_table_iterator"},
  {SYS_ "IHS-BDS-MARKER","mk_si_ihs_bds_marker"},
  {SYS_ "IHS-ENV","mk_si_ihs_env"},
  {SYS_ "IHS-FUN","mk_si_ihs_fun"},
  {SYS_ "IHS-NEXT","mk_si_ihs_next"},
  {SYS_ "IHS-PREV","mk_si_ihs_prev"},
  {SYS_ "IHS-TOP","mk_si_ihs_top"},
  {SYS_ "INTERPRETER-STACK","mk_si_interpreter_stack"},
  {SYS_ "LINK-FROM",NULL},
  {SYS_ "LINK-TO",NULL},
  {SYS_ "LOAD-SOURCE","mk_si_load_source"},
  {SYS_ "LOGICAL-PATHNAME-P","mk_si_logical_pathname_p"},
  {SYS_ "MACRO",NULL},
  {SYS_ "MAKE-LAMBDA","mk_si_make_lambda"},
  {SYS_ "MAKE-PURE-ARRAY","mk_si_make_pure_array"},
  {SYS_ "MAKE-STRING-OUTPUT-STREAM-FROM-STRING","mk_si_make_string_output_stream_from_string"},
  {SYS_ "MAKE-STRUCTURE","mk_si_make_structure"},
  {SYS_ "MAKE-VECTOR","mk_si_make_vector"},
  {SYS_ "MANGLE-NAME","mk_si_mangle_name"},
  {SYS_ "MEMBER1","mk_si_member1"},
  {SYS_ "MEMQ","mk_si_memq"},
  {SYS_ "MKDIR","mk_si_mkdir"},
  {SYS_ "MKSTEMP","mk_si_mkstemp"},
  {SYS_ "RMDIR","mk_si_rmdir"},
  {EXT_ "MAKE-PIPE","mk_si_make_pipe"},
  {SYS_ "PACKAGE-LOCK","mk_si_package_lock"},
  {SYS_ "PACKAGE-HASH-TABLES","mk_si_package_hash_tables"},
  {SYS_ "PATHNAME-TRANSLATIONS","mk_si_pathname_translations"},
  {SYS_ "ALL-LOGICAL-PATHNAME-TRANSLATIONS","mk_si_all_logical_pathname_translations"},
  {SYS_ "POINTER","mk_si_pointer"},
  {SYS_ "PRETTY-PRINT-FORMAT",NULL},
  {SYS_ "PROCESS-DECLARATIONS","mk_si_process_declarations"},
  {SYS_ "PROCESS-LAMBDA","mk_si_process_lambda"},
  {SYS_ "PROCESS-LAMBDA-LIST","mk_si_process_lambda_list"},
  {SYS_ "PUT-F","mk_si_put_f"},
  {SYS_ "PUT-PROPERTIES","mk_si_put_properties"},
  {SYS_ "PUT-SYSPROP","mk_si_put_sysprop"},
  {SYS_ "PUTPROP","mk_si_putprop"},
  {SYS_ "READTABLE-CASE-SET","mk_si_readtable_case_set"},
  {SYS_ "REM-F","mk_si_rem_f"},
  {SYS_ "REM-SYSPROP","mk_si_rem_sysprop"},
  {SYS_ "REPLACE-ARRAY","mk_si_replace_array"},
  {SYS_ "ROW-MAJOR-ASET","mk_si_row_major_aset"},
  {SYS_ "RUN-COMMAND","mk_si_run_command"},
  {EXT_ "RUN-PROGRAM","mk_si_run_program"},
  {SYS_ "SAFE-EVAL","mk_si_safe_eval"},
  {SYS_ "SCH-FRS-BASE","mk_si_sch_frs_base"},
  {SYS_ "SCHAR-SET","mk_si_char_set"},
  {SYS_ "SHARP-A-READER",NULL},
  {SYS_ "SHARP-S-READER",NULL},
  {SYS_ "SELECT-PACKAGE","mk_si_select_package"},
  {SYS_ "SET-SYMBOL-PLIST","mk_si_set_symbol_plist"},
  {EXT_ "SETENV","mk_si_setenv"},
  {SYS_ "SETF-LAMBDA",NULL},
  {SYS_ "SETF-METHOD",NULL},
  {SYS_ "SETF-NAMEP",NULL},
  {SYS_ "SETF-SYMBOL",NULL},
  {SYS_ "SETF-UPDATE",NULL},
  {SYS_ "SIMPLE-PROGRAM-ERROR","MKCL_NAME(mk_si_simple_program_error)"},
  {SYS_ "SIGNAL-SIMPLE-ERROR","mk_si_signal_simple_error"},
  {SYS_ "SPECIALP","mk_si_specialp"},
  {SYS_ "STANDARD-READTABLE","mk_si_standard_readtable"},
  {SYS_ "STEPPER",NULL},
  {SYS_ "CONCATENATE-BASE-STRINGS","mk_si_concatenate_base_strings"},
  {SYS_ "FAST-READ-FROM-STRING","mk_si_fast_read_from_string"},
  {SYS_ "STRUCTURE-NAME","mk_si_structure_name"},
  {SYS_ "STRUCTURE-LENGTH","mk_si_structure_length"},
  {SYS_ "STRUCTURE-PRINT-FUNCTION",NULL},
  {SYS_ "STRUCTURE-REF","mk_si_structure_ref"},
  {SYS_ "STRUCTURE-SET","mk_si_structure_set"},
  {SYS_ "STRUCTURE-SLOT-DESCRIPTIONS",NULL},
  {SYS_ "STRUCTURE-SUBTYPE-P","mk_si_structure_subtype_p"},
  {SYS_ "STRUCTUREP","mk_si_structurep"},
  {SYS_ "SVSET","mk_si_svset"},
  {SYS_ "SYMBOL-MACRO",NULL},
  {SYS_ "SYSTEM","mk_si_system"},
  {SYS_ "TERMINAL-INTERRUPT",NULL},
  {SYS_ "SIGINT-HANDLER",NULL},
  {SYS_ "SIGHUP-HANDLER",NULL},
  {SYS_ "SIGTERM-HANDLER",NULL},
  {SYS_ "TERMINAL-SIGNAL-HANDLER",NULL},
  {SYS_ "INITIAL",NULL},
  {SYS_ "TOP-LEVEL",NULL},
  {SYS_ "UNIVERSAL-ERROR-HANDLER",NULL},
  {SYS_ "VALID-FUNCTION-NAME-P","mk_si_valid_function_name_p"},
  {SYS_ "WRITE-OBJECT","mk_si_write_object"},
  {SYS_ "WRITE-UGLY-OBJECT","mk_si_write_ugly_object"},

  {SYS_ "STRUCTURE-INCLUDE",NULL},
  {SYS_ "COPY-INSTANCE","mk_si_copy_instance"},
  {SYS_ "GENERIC-FUNCTION-P","mk_si_generic_function_p"},
  {SYS_ "INSTANCE-REF-SAFE","mk_si_instance_ref_safe"},
  {SYS_ "INSTANCE-REF","mk_si_instance_ref"},
  {SYS_ "INSTANCE-SET","mk_si_instance_set"},
  {SYS_ "INSTANCE-SIG","mk_si_instance_sig"},
  {SYS_ "INSTANCE-SIG-SET","mk_si_instance_sig_set"},
  {SYS_ "INSTANCE-SIG-SET2","mk_si_instance_sig_set2"},
  {SYS_ "INSTANCE-CLASS","mk_si_instance_class"},
  {SYS_ "INSTANCE-CLASS-SET","mk_si_instance_class_set"},
  {SYS_ "INSTANCEP","mk_si_instancep"},
  {SYS_ "INSTANCE-LENGTH","mk_si_instance_length"},
  {SYS_ "SL-BOUNDP","mk_si_sl_boundp"},
  {SYS_ "SL-MAKUNBOUND","mk_si_sl_makunbound"},
  {SYS_ "SUBCLASSP","MKCL_NAME(mk_si_subclassp)"},
  {SYS_ "OF-CLASS-P","MKCL_NAME(mk_si_of_class_p)"},

  {EXT_ "*SOURCE-LOCATION*",NULL},
  {EXT_ "*REGISTER-WITH-PDE-HOOK*",NULL},
  {EXT_ "REGISTER-WITH-PDE",NULL},


  /* KEYWORD PACKAGE */
  {KEY_ "ADJUSTABLE",NULL},
  {KEY_ "ABORT",NULL},
  {KEY_ "ABSOLUTE",NULL},
  {KEY_ "ALLOW-OTHER-KEYS",NULL},
  {KEY_ "APPEND",NULL},
  {KEY_ "ARRAY",NULL},
  {KEY_ "BACK",NULL},
  {KEY_ "BASE",NULL},
  {KEY_ "BLOCK",NULL},
  {KEY_ "CAPITALIZE",NULL},
  {KEY_ "CASE",NULL},
  {KEY_ "CIRCLE",NULL},
  {KEY_ "COMPILE-TOPLEVEL",NULL},
  {KEY_ "COMMON",NULL},
  {KEY_ "CONC-NAME",NULL},
  {KEY_ "CONSTRUCTOR",NULL},
  {KEY_ "CONTROL-STRING",NULL},
  {KEY_ "COPIER",NULL},
  {KEY_ "CREATE",NULL},
  {KEY_ "DATUM",NULL},
  {KEY_ "DEFAULT",NULL},
  {KEY_ "DEFAULTS",NULL},
  {KEY_ "DEVICE",NULL},
  {KEY_ "DIRECTION",NULL},
  {KEY_ "DIRECTORY",NULL},
  {KEY_ "DISPLACED-INDEX-OFFSET",NULL},
  {KEY_ "DISPLACED-TO",NULL},
  {KEY_ "DOCUMENTATION",NULL},
  {KEY_ "DOWNCASE",NULL},
  {KEY_ "ELEMENT-TYPE",NULL},
  {KEY_ "END",NULL},
  {KEY_ "END1",NULL},
  {KEY_ "END2",NULL},
  {KEY_ "EOF",NULL},
  {KEY_ "ERROR",NULL},
  {KEY_ "ESCAPE",NULL},
  {KEY_ "EXECUTE",NULL},
  {KEY_ "EXPECTED-TYPE",NULL},
  {KEY_ "EXPORT",NULL},
  {KEY_ "EXPORT-FROM",NULL},
  {KEY_ "EXTERNAL",NULL},
  {KEY_ "EXTERNAL-FORMAT",NULL},
  {KEY_ "FILE",NULL},
  {KEY_ "FILL-POINTER",NULL},
  {KEY_ "FORCE",NULL},
  {KEY_ "FORMAT-ARGUMENTS",NULL},
  {KEY_ "FORMAT-CONTROL",NULL},
  {KEY_ "FUNCTION",NULL},
  {KEY_ "GENSYM",NULL},
  {KEY_ "HOST",NULL},
  {KEY_ "IF-DOES-NOT-EXIST",NULL},
  {KEY_ "IF-EXISTS",NULL},
  {KEY_ "IMPORT-FROM",NULL},
  {KEY_ "INCLUDE",NULL},
  {KEY_ "INHERITED",NULL},
  {KEY_ "INITIAL-ELEMENT",NULL},
  {KEY_ "INITIAL-CONTENTS",NULL},
  {KEY_ "INITIAL-OFFSET",NULL},
  {KEY_ "INPUT",NULL},
  {KEY_ "INTERACTIVE",NULL},
  {KEY_ "INSTANCE",NULL},
  {KEY_ "INTERN",NULL},
  {KEY_ "INTERNAL",NULL},
  {KEY_ "INVERT",NULL},
  {KEY_ "IO",NULL},
  {KEY_ "JUNK-ALLOWED",NULL},
  {KEY_ "KEY",NULL},
  {KEY_ "LENGTH",NULL},
  {KEY_ "LEVEL",NULL},
  {KEY_ "LINES",NULL},
  {KEY_ "LINK",NULL},
  {KEY_ "LIST-ALL",NULL},
  {KEY_ "LOCAL",NULL},
  {KEY_ "LOCKABLE",NULL},
  {KEY_ "LOAD-TOPLEVEL",NULL},
  {KEY_ "MISER-WIDTH",NULL},
  {KEY_ "NAME",NULL},
  {KEY_ "NAMED",NULL},
  {KEY_ "NEW-VERSION",NULL},
  {KEY_ "NEWEST",NULL},
  {KEY_ "NICKNAMES",NULL},
  {KEY_ "OBJECT",NULL},
  {KEY_ "OFFSET",NULL},
  {KEY_ "OPERATION",NULL},
  {KEY_ "OPERANDS",NULL},
  {KEY_ "OUTPUT",NULL},
  {KEY_ "OVERWRITE",NULL},
  {KEY_ "PACKAGE",NULL},
  {KEY_ "PATHNAME",NULL},
  {KEY_ "PPRINT-DISPATCH",NULL},
  {KEY_ "PREDICATE",NULL},
  {KEY_ "PRESERVE",NULL},
  {KEY_ "PRETTY",NULL},
  {KEY_ "PRINT",NULL},
  {KEY_ "PRINT-FUNCTION",NULL},
  {KEY_ "PRINT-OBJECT",NULL},
  {KEY_ "PROBE",NULL},
  {KEY_ "RADIX",NULL},
  {KEY_ "READABLY",NULL},
  {KEY_ "REHASH-SIZE",NULL},
  {KEY_ "REHASH-THRESHOLD",NULL},
  {KEY_ "RELATIVE",NULL},
  {KEY_ "RENAME",NULL},
  {KEY_ "RENAME-AND-DELETE",NULL},
  {KEY_ "REPORT",NULL},
  {KEY_ "RIGHT-MARGIN",NULL},
  {KEY_ "SET-DEFAULT-PATHNAME",NULL},
  {KEY_ "SEARCH-LIST",NULL},
  {KEY_ "SHADOW",NULL},
  {KEY_ "SHADOWING-IMPORT",NULL},
  {KEY_ "SIZE",NULL},
  {KEY_ "SPECIAL",NULL},
  {KEY_ "START",NULL},
  {KEY_ "START1",NULL},
  {KEY_ "START2",NULL},
  {KEY_ "STREAM",NULL},
  {KEY_ "SUPERSEDE",NULL},
  {KEY_ "TAG",NULL},
  {KEY_ "TEST",NULL},
  {KEY_ "TEST-NOT",NULL},
  {KEY_ "TYPE",NULL},
  {KEY_ "UNSPECIFIC",NULL},
  {KEY_ "UP",NULL},
  {KEY_ "UPCASE",NULL},
  {KEY_ "USE",NULL},
  {KEY_ "STDIO-STREAM",NULL},
  {KEY_ "VERBOSE",NULL},
  {KEY_ "VERSION",NULL},
  {KEY_ "WILD",NULL},
  {KEY_ "WILD-INFERIORS",NULL},
  {KEY_ "WAIT",NULL},

  {EXT_ "BYTE8",NULL},
  {EXT_ "BYTE16",NULL},
  {EXT_ "BYTE32",NULL},
  {EXT_ "BYTE64",NULL},
  {EXT_ "COMPILER-LET",NULL},
  {EXT_ "INTEGER8",NULL},
  {EXT_ "INTEGER16",NULL},
  {EXT_ "INTEGER32",NULL},
  {EXT_ "INTEGER64",NULL},
  {EXT_ "LAMBDA-BLOCK",NULL},
  {EXT_ "HALT","mk_si_halt"},
  {EXT_ "RAW-EXIT","mk_si_raw_exit"},
  {EXT_ "QUIT",NULL},
  {EXT_ "GET-METHOD",NULL},
  {EXT_ "INSTANCE",NULL},

  {SYS_ "ALLOCATE-FOREIGN-DATA","mk_si_allocate_foreign_data"},
  {SYS_ "FIND-FOREIGN-SYMBOL","mk_si_find_foreign_symbol"},
  {SYS_ "FOREIGN-DATA",NULL},
  {SYS_ "FOREIGN-DATA-ADDRESS","mk_si_foreign_data_address"},
  {SYS_ "FOREIGN-DATA-POINTER","mk_si_foreign_data_pointer"},
  {SYS_ "FOREIGN-DATA-RECAST","mk_si_foreign_data_recast"},
  {SYS_ "FOREIGN-DATA-REF","mk_si_foreign_data_ref"},
  {SYS_ "FOREIGN-DATA-REF-ELT","mk_si_foreign_data_ref_elt"},
  {SYS_ "FOREIGN-DATA-SET","mk_si_foreign_data_set"},
  {SYS_ "FOREIGN-DATA-SET-ELT","mk_si_foreign_data_set_elt"},
  {SYS_ "FOREIGN-DATA-TAG","mk_si_foreign_data_tag"},
  {SYS_ "FREE-FOREIGN-DATA","mk_si_free_foreign_data"},
  {SYS_ "MAKE-FOREIGN-DATA-FROM-ARRAY","mk_si_make_foreign_data_from_array"},
  {SYS_ "LOAD-FOREIGN-MODULE","mk_si_load_foreign_module"},
  {SYS_ "NULL-POINTER-P","mk_si_null_pointer_p"},
  {SYS_ "SIZE-OF-FOREIGN-ELT-TYPE","mk_si_size_of_foreign_elt_type"},
  {KEY_ "BYTE",NULL},
  {KEY_ "CHAR",NULL},
  {KEY_ "CSTRING",NULL},
  {KEY_ "DOUBLE",NULL},
  {KEY_ "FIXNUM",NULL},
  {KEY_ "FLOAT",NULL},
  {KEY_ "INT",NULL},
  {KEY_ "INT8-T",NULL},
  {KEY_ "INT16-T",NULL},
  {KEY_ "INT32-T",NULL},
  {KEY_ "INT64-T",NULL},
  {KEY_ "LONG",NULL},
  {KEY_ "LONG-DOUBLE",NULL},
  {KEY_ "LONG-LONG",NULL},
  {KEY_ "POINTER-SELF",NULL},
  {KEY_ "POINTER-VOID",NULL},
  {KEY_ "SHORT",NULL},
  {KEY_ "STRUCT",NULL},
  {KEY_ "UNION",NULL},
  {KEY_ "VOID",NULL},
  {KEY_ "UINT8-T",NULL},
  {KEY_ "UINT16-T",NULL},
  {KEY_ "UINT32-T",NULL},
  {KEY_ "UINT64-T",NULL},
  {KEY_ "UNSIGNED-BYTE",NULL},
  {KEY_ "UNSIGNED-CHAR",NULL},
  {KEY_ "UNSIGNED-INT",NULL},
  {KEY_ "UNSIGNED-LONG",NULL},
  {KEY_ "UNSIGNED-LONG-LONG",NULL},
  {KEY_ "UNSIGNED-SHORT",NULL},
  {KEY_ "FLOAT-COMPLEX",NULL},
  {KEY_ "DOUBLE-COMPLEX",NULL},
  {KEY_ "LONG-DOUBLE-COMPLEX",NULL},
  {KEY_ "FLOAT-IMAGINARY",NULL},
  {KEY_ "DOUBLE-IMAGINARY",NULL},
  {KEY_ "LONG-DOUBLE-IMAGINARY",NULL},
  {SYS_ "C-CHAR-BIT",NULL},
  {SYS_ "C-CHAR-MAX",NULL},
  {SYS_ "C-CHAR-MIN",NULL},
  {SYS_ "C-INT-MAX",NULL}, /* See main.d */
  {SYS_ "C-INT-MIN",NULL}, /* See main.d */
  {SYS_ "C-SHORT-MAX",NULL},
  {SYS_ "C-SHORT-MIN",NULL},
  {SYS_ "C-LONG-MAX",NULL}, /* See main.d */
  {SYS_ "C-LONG-MIN",NULL}, /* See main.d */
  {SYS_ "C-LONG-LONG-MAX",NULL}, /* See main.d */
  {SYS_ "C-LONG-LONG-MIN",NULL}, /* See main.d */
  {SYS_ "C-UCHAR-MAX",NULL},
  {SYS_ "C-UINT-MAX",NULL}, /* See main.d */
  {SYS_ "C-USHORT-MAX",NULL},
  {SYS_ "C-ULONG-MAX",NULL}, /* See main.d */
  {SYS_ "C-ULONG-LONG-MAX",NULL}, /* See main.d */
  {SYS_ "GC","mk_si_gc"},
  {SYS_ "GC-DUMP","mk_si_gc_dump"},

  {MT_ "THREAD",NULL},
  {MT_ "LOCK",NULL},
  {MT_ "RWLOCK",NULL},
  {MT_ "SEMAPHORE",NULL},
  {MT_ "CONDITION-VARIABLE",NULL},
  {MT_ "*THREAD*",NULL},
  {MT_ "ALL-THREADS","mk_mt_all_threads"},
  {MT_ "EXIT-THREAD","mk_mt_exit_thread"},
  {MT_ "TERMINATE-THREAD","mk_mt_terminate_thread"},
  {MT_ "MAKE-THREAD","mk_mt_make_thread"},
  {MT_ "THREAD-ACTIVE-P","mk_mt_thread_active_p"},
  {MT_ "THREAD-ENABLE","mk_mt_thread_enable"},
  {MT_ "THREAD-YIELD","mk_mt_thread_yield"},
  {MT_ "THREAD-KILL","mk_mt_thread_kill"},
  {MT_ "THREAD-DETACH","mk_mt_thread_detach"},
  {MT_ "THREAD-JOIN","mk_mt_thread_join"},
  {MT_ "THREAD-NAME","mk_mt_thread_name"},
  {MT_ "THREAD-PRESET","mk_mt_thread_preset"},
  {MT_ "SHOW-SIGMASK","mk_mt_show_sigmask"},
  {MT_ "RESET-SIGMASK","mk_mt_reset_sigmask"},
  {MT_ "BLOCK-SIGNALS","mk_mt_block_signals"},
  {MT_ "UNBLOCK-SIGNALS","mk_mt_unblock_signals"},
  {MT_ "THREAD-RUN-FUNCTION","mk_mt_thread_run_function"},
  {MT_ "THREAD-WHOSTATE","mk_mt_thread_whostate"},
  {MT_ "MAKE-LOCK","mk_mt_make_lock"},
  {KEY_ "RECURSIVE",NULL},
  {MT_ "RECURSIVE-LOCK-P","mk_mt_recursive_lock_p"},
  {MT_ "LOCK-NAME","mk_mt_lock_name"},
  {MT_ "LOCK-HOLDER","mk_mt_lock_holder"},
  {MT_ "GET-LOCK","mk_mt_get_lock"},
  {KEY_ "TIMEOUT",NULL},
  {MT_ "GIVEUP-LOCK","mk_mt_giveup_lock"},
  {MT_ "MAKE-RWLOCK","mk_mt_make_rwlock"},
  {MT_ "GIVEUP-RWLOCK","mk_mt_giveup_rwlock"},
  {MT_ "GET-READ-RWLOCK","mk_mt_get_read_rwlock"},
  {MT_ "GET-WRITE-RWLOCK","mk_mt_get_write_rwlock"},
  {MT_ "MAKE-SEMAPHORE","mk_mt_make_semaphore"},
  {MT_ "SEMAPHORE-COUNT","mk_mt_semaphore_count"},
  {MT_ "SEMAPHORE-SIGNAL","mk_mt_semaphore_signal"},
  {MT_ "SEMAPHORE-WAIT","mk_mt_semaphore_wait"},
  {MT_ "MAKE-CONDITION-VARIABLE","mk_mt_make_condition_variable"},
  {MT_ "CONDITION-WAIT","mk_mt_condition_wait"},
  {MT_ "CONDITION-SIGNAL","mk_mt_condition_signal"},
  {MT_ "CONDITION-BROADCAST","mk_mt_condition_broadcast"},
  {KEY_ "INITIAL-BINDINGS",NULL},
  {MT_ "INTERRUPT-THREAD","mk_mt_interrupt_thread"},
  {MT_ "+LOAD-COMPILE-LOCK+",NULL},
  {MT_ "WITH-LOCK",NULL},
  {MT_ "WITHOUT-LOCK",NULL},
  {MT_ "WITHOUT-INTERRUPTS",NULL},

  {MT_ "INTERRUPT-ERROR",NULL},
  {MT_ "THREAD-SLEEPING",NULL},
  {MT_ "INTERRUPT-REFUSED",NULL},
  {MT_ "INVALID-THREAD",NULL},

  {SYS_ "WHILE",NULL},
  {SYS_ "UNTIL",NULL},
  {SYS_ "QUASIQUOTE",NULL},
  {SYS_ "*EXIT-HOOKS*",NULL},
  {KEY_ "THREAD",NULL},
  {KEY_ "REASON",NULL},
  {KEY_ "SUSPENDED",NULL},
  {KEY_ "DEAD",NULL},

  {CLOS_ "*BUILTIN-CLASSES*",NULL},
  {CLOS_ "COMPUTE-EFFECTIVE-METHOD",NULL},
  {CLOS_ "COMPUTE-EFFECTIVE-METHOD-FOR-CACHE",NULL},
  {CLOS_ "FUNCALLABLE-STANDARD-INSTANCE-ACCESS","mk_si_instance_ref"},
  {CLOS_ "SET-FUNCALLABLE-INSTANCE-FUNCTION","mk_clos_set_funcallable_instance_function"},

  {SYS_ "CL-WORD-BITS",NULL},
  {EXT_ "CL-WORD",NULL},
  {EXT_ "CL-INDEX",NULL},

  {SYS_ "DO-DEFTYPE","MKCL_NAME(mk_si_do_deftype)"},
  {SYS_ "CREATE-TYPE-NAME",NULL},
  {SYS_ "*ALIEN-DECLARATIONS*",NULL},

  {SYS_ "LOAD-BINARY","mk_si_load_binary"},

  {SYS_ "*CODE-WALKER*",NULL},

  {SYS_ "CALL-CFUN","mk_si_call_cfun"},
  {KEY_ "CALLBACK",NULL},
  {SYS_ "MAKE-DYNAMIC-CALLBACK","mk_si_make_dynamic_callback"},
  {KEY_ "CDECL",NULL},
  {KEY_ "STDCALL",NULL},

  {SYS_ "TRAP-FPE",NULL},

  {SYS_ "DO-SIGSEGV","mk_si_do_sigsegv"},
  {SYS_ "OBJNULL","mk_si_objnull"},

  {SYS_ "DISPLAY-SIGNAL-DISPOSITIONS","mk_si_display_signal_dispositions"},

  {SYS_ "*ACTION-ON-UNDEFINED-VARIABLE*",NULL},

  {SYS_ "SET-BUFFERING-MODE","mk_si_set_buffering_mode"},
  {KEY_ "NONE",NULL},
  {KEY_ "LINE-BUFFERED",NULL},
  {KEY_ "LINE",NULL},
  {KEY_ "FULLY-BUFFERED",NULL},
  {KEY_ "FULL",NULL},

  {SYS_ "CMP-ENV-REGISTER-MACROLET",NULL},

  {SYS_ "GET-FINALIZER","mk_si_get_finalizer"},
  {SYS_ "SET-FINALIZER","mk_si_set_finalizer"},

  {SYS_ "*RELATIVE-PACKAGE-NAMES*",NULL},
  {KEY_ "RELATIVE-PACKAGE-NAMES",NULL},
  {SYS_ "FIND-RELATIVE-PACKAGE","mk_si_find_relative_package"},
  {SYS_ "PACKAGE-PARENT",NULL},
  {SYS_ "PACKAGE-CHILDREN",NULL},

  {SYS_ "WRONG-TYPE-ARGUMENT",NULL},

  {SYS_ "GC-STATS","mk_si_gc_stats"},

  {SYS_ "*CURRENT-FORM*",NULL},

  {SYS_ "CODE-BLOCK",NULL},

  {SYS_ "CLEAR-GFUN-CACHE","mk_si_clear_gfun_cache"},

  {SYS_ "FRAME",NULL},
  {SYS_ "APPLY-FROM-STACK-FRAME","mk_si_apply_from_stack_frame"},

  {GRAY_ "CLOSE",NULL},
  {GRAY_ "STREAMP",NULL},
  {GRAY_ "INPUT-STREAM-P",NULL},
  {GRAY_ "OUTPUT-STREAM-P",NULL},
  {GRAY_ "OPEN-STREAM-P",NULL},
  {GRAY_ "STREAM-ADVANCE-TO-COLUMN",NULL},
  {GRAY_ "STREAM-CLEAR-INPUT",NULL},
  {GRAY_ "STREAM-CLEAR-OUTPUT",NULL},
  {GRAY_ "STREAM-ELEMENT-TYPE",NULL},
  {GRAY_ "STREAM-FILE-POSITION",NULL},
  {GRAY_ "STREAM-FINISH-OUTPUT",NULL},
  {GRAY_ "STREAM-FORCE-OUTPUT",NULL},
  {GRAY_ "STREAM-FRESH-LINE",NULL},
  {GRAY_ "STREAM-INTERACTIVE-P",NULL},
  {GRAY_ "STREAM-LINE-COLUMN",NULL},
  {GRAY_ "STREAM-LISTEN",NULL},
  {GRAY_ "STREAM-PEEK-CHAR",NULL},
  {GRAY_ "STREAM-READ-BYTE",NULL},
  {GRAY_ "STREAM-READ-CHAR",NULL},
  {GRAY_ "STREAM-READ-CHAR-NO-HANG",NULL},
  {GRAY_ "STREAM-READ-LINE",NULL},
  {GRAY_ "STREAM-READ-SEQUENCE",NULL},
  {GRAY_ "STREAM-START-LINE-P",NULL},
  {GRAY_ "STREAM-TERPRI",NULL},
  {GRAY_ "STREAM-UNREAD-CHAR",NULL},
  {GRAY_ "STREAM-WRITE-BYTE",NULL},
  {GRAY_ "STREAM-WRITE-CHAR",NULL},
  {GRAY_ "STREAM-WRITE-SEQUENCE",NULL},
  {GRAY_ "STREAM-WRITE-STRING",NULL},
  {GRAY_ "FUNDAMENTAL-STREAM",NULL},
  {GRAY_ "FUNDAMENTAL-INPUT-STREAM",NULL},
  {GRAY_ "FUNDAMENTAL-OUTPUT-STREAM",NULL},
  {GRAY_ "FUNDAMENTAL-CHARACTER-STREAM",NULL},
  {GRAY_ "FUNDAMENTAL-BINARY-STREAM",NULL},
  {GRAY_ "FUNDAMENTAL-CHARACTER-INPUT-STREAM",NULL},
  {GRAY_ "FUNDAMENTAL-CHARACTER-OUTPUT-STREAM",NULL},
  {GRAY_ "FUNDAMENTAL-BINARY-INPUT-STREAM",NULL},
  {GRAY_ "FUNDAMENTAL-BINARY-OUTPUT-STREAM",NULL},

  {SYS_ "LOG1P","mk_si_log1p"},

  {EXT_ "COMPILED-FUNCTION-FILE","mk_si_compiled_function_file"},

  {SYS_ "PROPERTY-LIST",NULL},

  {SYS_ "BYTECODE",NULL},

  {SYS_ "HASH-EQL","mk_si_hash_eql"},
  {SYS_ "HASH-EQUAL","mk_si_hash_equal"},
  {SYS_ "HASH-EQUALP","mk_si_hash_equalp"},

  {EXT_ "INTERACTIVE-INTERRUPT",NULL},

  {EXT_ "STORAGE-EXHAUSTED",NULL},
  {EXT_ "STACK-OVERFLOW",NULL},
  {EXT_ "STACK-OVERFLOW-SIZE",NULL},
  {EXT_ "STACK-OVERFLOW-TYPE",NULL},
  {EXT_ "BINDING-STACK",NULL},
  {EXT_ "FRAME-STACK",NULL},
  {EXT_ "LISP-STACK",NULL},
  {EXT_ "C-STACK",NULL},
  {EXT_ "HEAP-SIZE",NULL},
  {EXT_ "SET-LIMIT","mk_si_set_limit"},
  {EXT_ "GET-LIMIT","mk_si_get_limit"},
  {EXT_ "SEGMENTATION-VIOLATION",NULL},
  {EXT_ "SEGMENTATION-VIOLATION-ADDRESS",NULL},

  {KEY_ "ADDRESS",NULL},

  {EXT_ "EXTENDED-STRING",NULL},

  {KEY_ "LATIN-1",NULL},
  {KEY_ "ISO-8859-1",NULL},
  {KEY_ "UTF-8",NULL},
  {KEY_ "UCS-2",NULL},
  {KEY_ "UCS-4",NULL},

  {EXT_ "CONSTANTLY-T",NULL},
  {EXT_ "CONSTANTLY-NIL",NULL},

  {EXT_ "MAYBE-QUOTE",NULL},
  {EXT_ "MAYBE-UNQUOTE",NULL},

  {KEY_ "CR",NULL},
  {KEY_ "LF",NULL},
  {KEY_ "CRLF",NULL},
  {KEY_ "UCS-2BE",NULL},
  {KEY_ "UCS-4BE",NULL},
  {KEY_ "UCS-2LE",NULL},
  {KEY_ "UCS-4LE",NULL},

  {EXT_ "LOAD-ENCODING",NULL},
  {EXT_ "MAKE-ENCODING",NULL},
  {EXT_ "ALL-ENCODINGS",NULL},

  {KEY_ "US-ASCII",NULL},
  {KEY_ "LITTLE-ENDIAN",NULL},
  {KEY_ "BIG-ENDIAN",NULL},

  {SYS_ "+UNICODE-DATABASE+",NULL},

  {SYS_ "COPY-FILE","mk_si_copy_file"},

  {EXT_ "FILL-ARRAY-WITH-ELT","mk_si_fill_array_with_elt"},

  {EXT_ "+MKCL-VERSION-NUMBER+",NULL},

  {EXT_ "*BYTECODE-COMPILER*",NULL},

  {EXT_ "SHORT-FLOAT-POSITIVE-INFINITY",NULL},
  {EXT_ "SINGLE-FLOAT-POSITIVE-INFINITY",NULL},
  {EXT_ "DOUBLE-FLOAT-POSITIVE-INFINITY",NULL},
  {EXT_ "LONG-FLOAT-POSITIVE-INFINITY",NULL},
  {EXT_ "SHORT-FLOAT-NEGATIVE-INFINITY",NULL},
  {EXT_ "SINGLE-FLOAT-NEGATIVE-INFINITY",NULL},
  {EXT_ "DOUBLE-FLOAT-NEGATIVE-INFINITY",NULL},
  {EXT_ "LONG-FLOAT-NEGATIVE-INFINITY",NULL},
  {EXT_ "FLOAT-NAN-P","mk_si_float_nan_p"},
  {EXT_ "FLOAT-INFINITY-P","mk_si_float_infinity_p"},

  {SYS_ "READ-OBJECT-OR-IGNORE","mk_si_read_object_or_ignore"},

  {EXT_ "OUTPUT-FLOAT-NAN",NULL},
  {EXT_ "OUTPUT-FLOAT-INFINITY",NULL},

  {SYS_ "UNBOUND-VALUE-P","mk_si_unbound_value_p"},

  {SYS_ "PACKAGES-IN-WAITING","mk_si_packages_in_waiting"},

  {SYS_ "HASH-TABLES-STATISTICS","mk_si_hash_tables_statistics"},

  {KEY_ "MKCL-COMPILED",NULL},

  {EXT_ "+MKCL-FASL-VERSION+",NULL},

  {KEY_ "LINUX",NULL},
  {KEY_ "LINUX_2.6",NULL},
  {KEY_ "WINDOWS",NULL},
  {KEY_ "WIN32",NULL},
  {KEY_ "WIN64",NULL},
  {KEY_ "WINNT",NULL},
  {KEY_ "WIN2K",NULL},
  {KEY_ "WINXP",NULL},
  {KEY_ "WINVS",NULL},
  {KEY_ "WIN7",NULL},

  {KEY_ "X86",NULL},
  {KEY_ "X86-64",NULL},

  {SYS_ "MEM-STATS","mk_si_mem_stats"},

  {SYS_ "CLOSUREP","mk_si_closurep"},
  {SYS_ "CLOSURE-ENV","mk_si_closure_env"},
  {SYS_ "CLOSURE-PRODUCER","mk_si_closure_producer"},
  {SYS_ "SET-COMPILED-FUNCTION-NAME","mk_si_set_compiled_function_name"},
  {SYS_ "COMPILED-FUNCTION-OWNER","mk_si_compiled_function_owner"},
  {SYS_ "SET-COMPILED-FUNCTION-OWNER","mk_si_set_compiled_function_owner"},

  {SYS_ "SELF-TRUENAME","mk_si_self_truename"},

  {"!",NULL}, /* used by inspect and the debugger. */

  {SYS_ "GC-OFF","mk_si_gc_off"},
  {SYS_ "GC-ON","mk_si_gc_on"},

  {SYS_ "TOP-APPLY","mk_cl_Cnil"},

  {SYS_ "CONVERT-CMP-LEXICAL-INFO","mk_si_convert_cmp_lexical_info"},

  {SYS_ "INSTALL-SIGSEGV-MONITOR","mk_si_install_sigsegv_monitor"},

  {KEY_ "DETACHED",NULL},
  {KEY_ "IMPORTED",NULL},

  {KEY_ "FOLLOW-SYMLINKS",NULL},

  {EXT_ "BAD-FASL-FILE",NULL},
  {KEY_ "FORMAT",NULL},
  {KEY_ "ARCHITECTURE",NULL},
  {KEY_ "OS",NULL},
  {KEY_ "STALE",NULL},
  {KEY_ "CORRUPTED",NULL},

  {KEY_ "KILLED",NULL},
  {KEY_ "KILLED-BY-DEBUGGER",NULL},
  {KEY_ "INVALID-VALUE",NULL},

  {KEY_ "READ",NULL},
  {KEY_ "WRITE",NULL},

  {KEY_ "CHANGE-DEFAULT-PATHNAME-DEFAULTS",NULL},
  {KEY_ "ALL-DRIVES",NULL},
  {KEY_ "LINENO",NULL},

  {SYS_ "LIST-LIBRARIES","mk_si_list_libraries"},

  {SYS_ "COMPILED-CLOSURE",NULL},
  {SYS_ "COMPILED-CLOSURE-DISPLAY",NULL},
  {SYS_ "COMPILED-CLOSURE-LEVEL",NULL},
  {SYS_ "COMPILED-DEBUG-INFORMATION",NULL},
  {SYS_ "CLOSURE-DEPTH","mk_si_closure_depth"},
  {SYS_ "CLOSURE-LEVEL","mk_si_closure_level"},
  {SYS_ "CLOSURE-LEVEL-SIZE","mk_si_closure_level_size"},
  {SYS_ "CLOSURE-LEVEL-VAR","mk_si_closure_level_var"},
  {SYS_ "CLOSURE-LEVEL-SET-VAR","mk_si_closure_level_set_var"},
  {SYS_ "CLOSURE-LEVEL-OUTER-LEVEL","mk_si_closure_level_outer_level"},
  {SYS_ "SYSTEM-PROPERTIES","mk_si_system_properties"},
  {SYS_ "BYTECODEP","mk_si_bytecodep"},

  {SYS_ "SET-CLASS-PROPER-NAME","mk_si_set_class_proper_name"},

  {EXT_ "INVALID-SLOT",NULL},

  {SYS_ "CLONE-CLOSURE","mk_si_clone_closure"},

  {SYS_ "UPDATE-FUNCTION-REFERENCES","mk_si_update_function_references"},
  {SYS_ "GET-FUN-REF-SYM","mk_si_get_fun_ref_sym"},
  {SYS_ "GENERATE-FORWARD-FUN-REF-HANDLER",NULL},

  {MT_ "+FORWARD-REFERENCE-LOCK+",NULL},

  {"OS-FILE-ERROR",NULL},

  {SYS_ "DISABLE-INTERRUPTS","mk_si_disable_interrupts"},
  {SYS_ "ENABLE-INTERRUPTS","mk_si_enable_interrupts"},

  {SYS_ "GETUID","mk_si_getuid"},
  {SYS_ "GDB","mk_si_gdb"},

  {SYS_ "*DYNAMIC-CONS-STACK*",NULL},
  {SYS_ "TRIM-DYNAMIC-CONS-STACK","mk_si_trim_dynamic_cons_stack"},
  {SYS_ "DYN-CONS","mk_si_dyn_cons"},

  {SYS_ "DISABLE-FPE","mk_si_disable_fpe"},
  {SYS_ "ENABLE-FPE","mk_si_enable_fpe"},
  {SYS_ "ALL-ENABLED-FPE","mk_si_all_enabled_fpe"},
  {SYS_ "FPE-ENABLED-P","mk_si_fpe_enabled_p"},
  {SYS_ "ALL-RAISED-FPE","mk_si_all_raised_fpe"},
  {SYS_ "FPE-RAISED-P","mk_si_fpe_raised_p"},
  {SYS_ "RAISE-FPE","mk_si_raise_fpe"},
  {SYS_ "CLEAR-FPE","mk_si_clear_fpe"},
  {SYS_ "CLEAR-ALL-FPE","mk_si_clear_all_fpe"},
  {SYS_ "INITIAL-FLOATING-POINT-EXCEPTION-SET","mk_si_initial_floating_point_exception_set"},
  {SYS_ "*DEFAULT-FLOATING-POINT-EXCEPTION-SET*",NULL},

  {SYS_ "OUTPUT-FLOAT",NULL},
  {SYS_ "*READ-FLOAT-EXACTLY*",NULL},
  {SYS_ "*PRINT-FLOAT-EXACTLY*",NULL},

  {SYS_ "INDEX",NULL},

  {EXT_ "WITH-UNIQUE-NAMES",NULL},

  {SYS_ "BIT-SET",NULL},
  {SYS_ "SBIT-SET",NULL},

  {SYS_ "CONCATENATE-STRINGS","mk_si_concatenate_strings"},

  {SYS_ "SIMPLE-BASE-STRING-P","mk_si_simple_base_string_p"},

  {SYS_ "STREAM-EXTERNAL-FORMAT-SET","mk_si_stream_external_format_set"},


  /* Tag for end of list!
     This entry must be the very last of this array
     with a first field of NULL value.
     Anything following it will be ignored. JCB
  */
  {NULL,NULL}};


