;;;

;;(setq *compile-extra-options* '(:c-file t :data-file t :h-file t))
;;(setq c::*cc-flags* (concatenate 'base-string "-H " c::*cc-flags*))
;;(setq c::*trace-cc* t)
;;(setq c::*delete-files* nil)
(proclaim '(optimize (debug 0)))

;(format t "~&enabled-fpe = ~S~%" (si:all-enabled-fpe))

#+mingw64
(setq c::*cc* "x86_64-w64-mingw32-gcc.exe"
      c::*ld* "x86_64-w64-mingw32-gcc.exe"
      c::*ar* "x86_64-w64-mingw32-ar.exe"
      c::*ranlib* "x86_64-w64-mingw32-ranlib.exe")

(si:gc-off)

(let* ((here (namestring (si:getcwd)))
       (target (concatenate 'base-string here "**/*.*"))
       (translation `(("**;*.*.*" ,target))))
  (format t "Setting logical host TEST: to ~S.~%" target)
  (si::pathname-translations "TEST" translation))

#|
#+:unix (si::pathname-translations "TEST" `(("**;*.*.*" "~/CL/MKCL/dev/mkcl/src/test/**/*.*")))
#+:mingw32 (si::pathname-translations "TEST" `(("**;*.*.*" "D:/GNU/MinGW/msys/1.0/home/Jean-Claude/mkcl/src/test/**/*.*")))
#+:mingw64 (si::pathname-translations "TEST" `(("**;*.*.*" "C:/Users/Jean-Claude/GNU2/msys/home/Jean-Claude/mkcl/src/test/**/*.*")))
|#

;; (setq *compile-verbose* t)
;; (setq *compile-print* t)

;; (setq c::*suppress-compiler-messages* nil
;;       c::*suppress-compiler-warnings* nil
;;       c::*suppress-compiler-notes* nil)

 (setq c::*delete-files* nil)

	

(defconstant +cmp-module-files+
'("test:cmp2;cmpdefs.lsp"
  "test:cmp2;cmpmac.lsp"
  "test:cmp2;cmpinline.lsp"
  "test:cmp2;cmputil.lsp"
  "test:cmp2;cmptype.lsp"
  "test:cmp2;cmpbind.lsp"
  "test:cmp2;cmpblock.lsp"
  "test:cmp2;cmpcall.lsp"
  "test:cmp2;cmpcatch.lsp"
  "test:cmp2;cmpenv.lsp"
  "test:cmp2;cmpeval.lsp"
  "test:cmp2;cmpexit.lsp"
  "test:cmp2;cmpflet.lsp"
  "test:cmp2;cmpfun.lsp"
  "test:cmp2;cmpif.lsp"
  "test:cmp2;cmplam.lsp"
  "test:cmp2;cmplet.lsp"
  "test:cmp2;cmploc.lsp"
  "test:cmp2;cmpmap.lsp"
  "test:cmp2;cmpstack.lsp"
  "test:cmp2;cmpmulti.lsp"
  "test:cmp2;cmpspecial.lsp"
  "test:cmp2;cmptag.lsp"
  "test:cmp2;cmptop.lsp"
  "test:cmp2;cmpvar.lsp"
  "test:cmp2;cmpwt.lsp"
  "test:cmp2;cmpffi.lsp"
  "test:cmp2;cmpcbk.lsp"
  "test:cmp2;cmpct.lsp"
  "test:cmp2;cmpnum.lsp"
  "test:cmp2;cmpname.lsp"
  "test:cmp2;cmpopt.lsp"
  "test:cmp2;cmpprop.lsp"
  "test:cmp2;cmpclos.lsp"
  "test:cmp2;cmpstructures.lsp"
  "test:cmp2;cmparray.lsp"
  "test:cmp2;cmpmain.lsp"))

;(handler-case
 (unwind-protect
     (let ((si::*keep-documentation* nil))
       (time
	(mapc #'(lambda (x)
		  (terpri)
		  (princ ";;; Compiling ")
		  (princ x)
		  (compile-file x #|:c-file t :h-file t :data-file t|#))
	      +cmp-module-files+
	      )
	)
       )
   (format t "~&Compilation finished!~%")
   (finish-output)
   )
;;  (condition (condition)
;;     (format t "~&[1] Compilation failed with condition: ~A.~%" condition)
;;     (finish-output)
;;     (format nil "~&[2] Compilation failed with condition: ~A.~%" condition)
;;   )
;;  )

(SI:HASH-TABLES-STATISTICS)
(room)
(ext:quit)

