
(in-package :si)

(defvar *dyn-cons-stack* nil)

(defun dyn-cons (a b)
  (unless *dyn-cons-stack*
    (setq *dyn-cons-stack* (cons (cons nil nil) nil))
    )
  (let* ((stack-cell *dyn-cons-stack*)
	 (next-stack-cell (cdr stack-cell)))
    (unless next-stack-cell
      ;; we allocate 5 at a time
      (setq next-stack-cell (list (cons nil nil)
				  (cons nil nil)
				  (cons nil nil)
				  (cons nil nil)
				  (cons nil nil)))
      (rplacd stack-cell next-stack-cell)
      )
    (setq *dyn-cons-stack* next-stack-cell)
    (let ((it (car stack-cell)))
      (rplaca it a)
      (rplacd it b)
      it
      )
    )
  )

(defun trim-dynamic-cons-stack ()
  (if *dyn-cons-stack*
      (setf (cdr *dyn-cons-stack*) nil)
    (setq *dyn-cons-stack* (cons (cons nil nil) nil)))
  nil
  )

