
#define _GNU_SOURCE

#include <fenv.h>
#include <stdio.h>
#include <stdlib.h>
#include <pthread.h>
#include <time.h>

volatile struct timespec tic_tac;
      

void * busy(void * arg)
{
  for (;;)
    {
      struct timespec doze_time;
      struct timespec now;

      clock_gettime(CLOCK_REALTIME, &now);

      tic_tac = now;
      pthread_yield();

      doze_time.tv_sec = 0;
      doze_time.tv_nsec = (long)((200 * 1000 * 1000) * ((double) random() / RAND_MAX));
      nanosleep(&doze_time, NULL);
#if 0
      printf("+");
      fflush(NULL);
#endif
    }
}

pthread_t busy_thread;

int main(int argc, char * argv[])
{
  struct timespec old_time = { 0, 0 };
  int except_mask =  FE_DIVBYZERO | FE_INVALID | FE_OVERFLOW | FE_UNDERFLOW /* | FE_INEXACT  */;
  int status = feenableexcept(except_mask);
  int i = 0;
  int max = 20;
  
  if (argc > 1)
    {
      sscanf(argv[1], "%d", &max);
    }
  
  if (status = pthread_create(&busy_thread, NULL, busy, NULL))
    {
      printf("\npthread_create failed with status = %d\n", status);
      return 1;
    }

  for (i = 0; i < max; i++)
    {
      int mask = fegetexcept();

      if ( mask != except_mask )
	{
	  printf("\nfegetexcept returned: %d\n", mask);
	  return 1;
	}
      pthread_yield();
      {
	struct timespec doze;

	doze.tv_sec = 0;
	doze.tv_nsec = 500 * 1000 * 1000 + (long)((200 * 1000 * 1000) * ((double) rand() / RAND_MAX));

	nanosleep(&doze, NULL);
      }
      if ((tic_tac.tv_sec <= old_time.tv_sec) && (tic_tac.tv_nsec <= old_time.tv_nsec))
	{
	  printf("\ntimer stopped moving!\n");
	  return 2;
	}
      else
	old_time = tic_tac;
      printf(".");
      fflush(NULL);
    }
  printf("\nAt end fegetexcept() returned %d.\n", fegetexcept());
  return 0;
}
