
#define _GNU_SOURCE

#include <fenv.h>
#include <stdio.h>
#include <stdlib.h>
#include <pthread.h>
#include <time.h>

#include "gc/gc.h"

int main(int argc, char * argv[])
{
  int except_mask =  FE_DIVBYZERO | FE_INVALID | FE_OVERFLOW | FE_UNDERFLOW /* | FE_INEXACT  */;
  int status = feenableexcept(except_mask);

  {
    int mask = fegetexcept();

    if ( mask != except_mask )
      {
	printf("\nBefore GC_init(): fegetexcept returned: %d, expected: %d.\n", mask, except_mask);
	return 1;
      }

  }

  GC_init();

  printf("\nDone with GC_init()!\n"); fflush(NULL);
  
  {
    int mask = fegetexcept();

    if ( mask != except_mask )
      {
	printf("\nAfter GC_init(): fegetexcept returned: %d, expected: %d.\n", mask, except_mask);
	return 1;
      }

  }
  printf("\nAt end fegetexcept() returned %d, expected: %d.\n", fegetexcept(), except_mask);
  return 0;
}
