
#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif
#include <fenv.h>
#include <stdio.h>
#include <stdlib.h>

#include <locale.h>

union foo
{
  char c[16];
  long double f;
};

int main(int argc, char * argv[])
{
#if 1
  float ff = 1.0e23f;
  double dd = 1.0e23;
  long double ld = 1.0e23L;
#else
  float ff = 1.0e40f;
  double dd = 1.0e40;
  long double ld = 1.0e40L;
#endif
  int i;

  union foo it;

  printf("setlocale(LC_ALL, NULL) = %s\n", setlocale(LC_ALL, NULL));

  setlocale(LC_ALL, "");

  for (i = 0; i < 16; i++)
    it.c[i] = i;

  printf("\nsizeof(long double) = %lu\n", sizeof(long double));
  
  printf("\nBefore long double assignment:");

  printf("\nit.c[0:3] = { %d, %d, %d, %d }.\n",
	 it.c[0], it.c[1], it.c[2], it.c[3]);

  printf("it.c[4:7] = { %d, %d, %d, %d }.\n",
	 it.c[4], it.c[5], it.c[6], it.c[7]);

  printf("it.c[8:11] = { %d, %d, %d, %d }.\n",
	 it.c[8], it.c[9], it.c[10], it.c[11]);

  printf("it.c[12:15] = { %d, %d, %d, %d }.\n",
	 it.c[12], it.c[13], it.c[14], it.c[15]);

#if 0
  it.f = 1.0e1L;
#else
  it.f = __LDBL_MAX__;
#endif

  printf("\nAfter long double assignment:");

  printf("\nit.c[0:3] = { %d, %d, %d, %d }.\n",
	 it.c[0], it.c[1], it.c[2], it.c[3]);

  printf("it.c[4:7] = { %d, %d, %d, %d }.\n",
	 it.c[4], it.c[5], it.c[6], it.c[7]);

  printf("it.c[8:11] = { %d, %d, %d, %d }.\n",
	 it.c[8], it.c[9], it.c[10], it.c[11]);

  printf("it.c[12:15] = { %d, %d, %d, %d }.\n",
	 it.c[12], it.c[13], it.c[14], it.c[15]);

  {
    int default_excepts = fegetexcept();
    int default_rounding = fegetround();

    printf("\ndefault_excepts = %d.\n", default_excepts); /* JCB debug */
    printf("\ndefault_rounding = %d.\n", default_rounding); /* JCB debug */
    fflush(NULL);
  }

#if 0
  feenableexcept(FE_ALL_EXCEPT);
#endif

  printf("ff = %f\n", ff);
  printf("ff = %e\n", ff);
  printf("dd = %f\n", dd);
  printf("dd = %e\n", dd);
  printf("ld = %Lf\n", ld);
  printf("ld = %Le\n", ld);

  printf("dd - ff = %f\n", dd - ff);
  printf("dd - ff = %e\n", dd - ff);

  float rff;
  double rdd;
  long double rld;

#if 1
  rff = strtof("1,0e23", NULL);
  rdd = strtod("1,0e23", NULL);
  rld = strtold("1,0e23", NULL);
#else
  rff = strtof("1.0e40", NULL);
  rdd = strtod("1.0e40", NULL);
  rld = strtold("1.0e40", NULL);
#endif

  printf("rff = %f\n", rff);
  printf("rff = %e\n", rff);
  printf("rdd = %f\n", rdd);
  printf("rdd = %e\n", rdd);
  printf("rld = %Lf\n", rld);
  printf("rld = %Le\n", rld);

  printf("rdd - rff = %f\n", rdd - rff);
  printf("rdd - rff = %e\n", rdd - rff);

#if 0
  float cff = dd;

  printf("cff = %f\n", cff);
  printf("cff = %e\n", cff);
#endif

  double cdd = ld;

  printf("cdd = %f\n", cdd);
  printf("cdd = %e\n", cdd);

  printf("%'.2f\n", 1234567.89);

  printf("setlocale(LC_ALL, NULL) = %s\n", setlocale(LC_ALL, NULL));
  return 0;
}
