;
;
;
!define PRODUCT_NAME "MKCL"
!define PRODUCT_VERSION "1.0.0-rc2"
!define PRODUCT_PUBLISHER "Jean-Claude Beaudoin"
!define PRODUCT_WEB_SITE "http://www.common-lisp.net/projects/mkcl/"
!define PRODUCT_PATH_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\mkcl.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"


Name "MKCL 1.0.0 RC2"
OutFile "mkcl-1.0.0_rc2_setup.exe"
InstallDir "$PROGRAMFILES\MKCL\"
InstallDirRegKey HKLM "${PRODUCT_PATH_REGKEY}\HOME" ""


;LicenseData Copyright_plus_LGPL.txt

;Page license
;#Page components
;Page directory
;Page instfiles
;UninstPage uninstConfirm
;UninstPage instfiles


!include "MUI2.nsh"

!define MUI_ABORTWARNING

!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_PAGE_LICENSE "Copyright_plus_LGPL.txt"
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES

!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES

!insertmacro MUI_LANGUAGE "English"



Section
  SetOutPath "$INSTDIR"
  File /r mkcl\*.*
  File /r slime
  CreateDirectory "$SMPROGRAMS\MKCL"
  SetOutPath "%HOMEDRIVE%%HOMEPATH%" ; clear OUTDIR for the following shortcut creations.
  CreateShortCut "$DESKTOP\MKCL in REPL mode.lnk" "$INSTDIR\bin\mkcl.exe"
  CreateShortCut "$SMPROGRAMS\MKCL\MKCL in REPL mode.lnk" "$INSTDIR\bin\mkcl.exe"
SectionEnd

Section -AdditionalIcons
  WriteIniStr "$INSTDIR\${PRODUCT_NAME}.url" "InternetShortcut" "URL" "${PRODUCT_WEB_SITE}"
  CreateShortCut "$SMPROGRAMS\MKCL\MKCL's Website.lnk" "$INSTDIR\${PRODUCT_NAME}.url"
  CreateShortCut "$SMPROGRAMS\MKCL\Uninstall MKCL.lnk" "$INSTDIR\uninst.exe"
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr HKLM "${PRODUCT_PATH_REGKEY}" "" "$INSTDIR\bin\mkcl.exe"
  WriteRegStr HKLM "${PRODUCT_PATH_REGKEY}" "HOME" "$INSTDIR\"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\bin\mkcl.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
  ReadRegStr $0 HKLM "${PRODUCT_PATH_REGKEY}" "HOME"
SectionEnd


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) has been succesfully uninstalled."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Do you really want to uninstall $(^Name)?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  ReadRegStr $0 HKLM "${PRODUCT_PATH_REGKEY}" "HOME"
  RMDir /r $0

#  Delete "$INSTDIR\${PRODUCT_NAME}.url"
#  Delete "$INSTDIR\uninst.exe"
#!@DELETEFILES@
#  Delete "$INSTDIR\mkcl.exe"

  Delete "$SMPROGRAMS\MKCL\Uninstall MKCL.lnk"
  Delete "$SMPROGRAMS\MKCL\MKCL's Website.lnk"
  Delete "$DESKTOP\MKCL in REPL mode.lnk"
  Delete "$SMPROGRAMS\MKCL\MKCL in REPL mode.lnk"

  RMDir "$SMPROGRAMS\MKCL"
#  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  DeleteRegKey HKLM "${PRODUCT_PATH_REGKEY}"
  SetAutoClose true
SectionEnd

#Section Uninstall
#  Delete /r "$PROGRAMSFILES\mkcl"
#SectionEnd
